/*****************************************************************************
 *  Rohde&Schwarz Instrument Driver Specific Attribute callbacks include file
 *
 *  WARNING: Do not add to, delete from, or otherwise modify the contents
 *           of this include file. It is generated from DrBase repository.
 *
 *  Built on: 2017-10-30 07:30:26Z
 *****************************************************************************/

#ifndef __RSSFU_ATTRIBUTES_HEADER
#define __RSSFU_ATTRIBUTES_HEADER

#include "rsidr_core.h"

#if defined(__cplusplus) || defined(__cplusplus__)
extern "C" {
#endif

/*****************************************************************************
 *- Read Callbacks ----------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Write Callbacks ---------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Check Callbacks ---------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Check Status Callbacks ---------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Coerce Callbacks --------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Range Table Callbacks ---------------------------------------------------*
 *****************************************************************************/
ViStatus rssfu_inputStuffing_RangeTableCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, RsRangeTablePtr *rangeTablePtr);
ViStatus rssfu_InputSignalSource_RangeTableCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, RsRangeTablePtr *rangeTablePtr);
ViStatus rssfu_Rosc_Freq_RangeTableCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, RsRangeTablePtr *rangeTablePtr);

/*****************************************************************************
 *- User Callbacks ----------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Range Tables ------------------------------------------------------------*
 *****************************************************************************/
extern RsRangeTable rssfu_rngCalibrationResult;
extern RsRangeTable rssfu_rngRfoutAmode;
extern RsRangeTable rssfu_rngIqcInp;
extern RsRangeTable rssfu_rngIqcPayl;
extern RsRangeTable rssfu_rngIqcPidt;
extern RsRangeTable rssfu_rngIqcPrbsMode;
extern RsRangeTable rssfu_rngIqcDirCodeRate;
extern RsRangeTable rssfu_rngIqcStuf;
extern RsRangeTable rssfu_rngIqcTestSig;
extern RsRangeTable rssfu_rngIqcTestPacketMode;
extern RsRangeTable rssfu_rngIqcDmbtChanBwd;
extern RsRangeTable rssfu_rngIqcDmbtCons;
extern RsRangeTable rssfu_rngIqcDbmtCont;
extern RsRangeTable rssfu_rngIqcDmbtGuar;
extern RsRangeTable rssfu_rngIqcDmbtNetw;
extern RsRangeTable rssfu_rngIqcDmbtCodeRate;
extern RsRangeTable rssfu_rngIqcDmbtPrbsMode;
extern RsRangeTable rssfu_rngIqcRandRest;
extern RsRangeTable rssfu_rngIqcDmbtTestSig;
extern RsRangeTable rssfu_rngIqcTimeInter;
extern RsRangeTable rssfu_rngIqcDvbcCons;
extern RsRangeTable rssfu_rngIqcDvbcTest;
extern RsRangeTable rssfu_rngIqcDvbtChanBw;
extern RsRangeTable rssfu_rngIqcDvbtCons;
extern RsRangeTable rssfu_rngIqcDvbtSymb;
extern RsRangeTable rssfu_rngIqcDvbtFftMode;
extern RsRangeTable rssfu_rngIqcDvbtGuarInt;
extern RsRangeTable rssfu_rngIqcDvbtHier;
extern RsRangeTable rssfu_rngIqcCodeRate;
extern RsRangeTable rssfu_rngIqcDvbsCons;
extern RsRangeTable rssfu_rngIqcDvbsRolloff;
extern RsRangeTable rssfu_rngIqcDvbs2TestSig;
extern RsRangeTable rssfu_rngIqcDvbs2Cons;
extern RsRangeTable rssfu_rngIqcDvbs2Rolloff;
extern RsRangeTable rssfu_rngIqcDvbs2Amc;
extern RsRangeTable rssfu_rngIqcDvbs2PhasShap;
extern RsRangeTable rssfu_rnqFreqMode;
extern RsRangeTable rssfu_rngFreqSweMode;
extern RsRangeTable rssfu_rngFreqSweSpac;
extern RsRangeTable rssfu_rngBerParallel;
extern RsRangeTable rssfu_rngBerSelMeas;
extern RsRangeTable rssfu_rngBerInpClk;
extern RsRangeTable rssfu_rngBerFuncInp;
extern RsRangeTable rssfu_rngBerBitPatt;
extern RsRangeTable rssfu_rngBerPrbsSeq;
extern RsRangeTable rssfu_rngBerDataStream;
extern RsRangeTable rssfu_rngBerGatMode;
extern RsRangeTable rssfu_rngDigMod;
extern RsRangeTable rssfu_rngDigModOutp;
extern RsRangeTable rssfu_rngModGain;
extern RsRangeTable rssfu_rngArbClkSource;
extern RsRangeTable rssfu_rngArbExtClkMode;
extern RsRangeTable rssfu_rngDmSigSource;
extern RsRangeTable rssfu_rngDmInterferSource;
extern RsRangeTable rssfu_rngDmInterferAdd;
extern RsRangeTable rssfu_rngDmTransmStd;
extern RsRangeTable rssfu_rngDmSpectPolar;
extern RsRangeTable rssfu_rngIqcDvbs2TestPacketMode;
extern RsRangeTable rssfu_rngNoiseState;
extern RsRangeTable rssfu_rngPowAlcState;
extern RsRangeTable rssfu_rngPowAlcMode;
extern RsRangeTable rssfu_rngPowLevUnit;
extern RsRangeTable rssfu_rngRoscFreq;
extern RsRangeTable rssfu_rngRoscSyncBw;
extern RsRangeTable rssfu_rngRoscSource;
extern RsRangeTable rssfu_rngFadingProf;
extern RsRangeTable rssfu_rngFadingParam;
extern RsRangeTable rssfu_rngFsimSpeedUnit;
extern RsRangeTable rssfu_rngFsimFreqHoppMode;
extern RsRangeTable rssfu_rngFsimDedicTo;
extern RsRangeTable rssfu_rngFsimInsLossMode;
extern RsRangeTable rssfu_rngFsimRestartMode;
extern RsRangeTable rssfu_rngIqcDvbs2CodeRate;
extern RsRangeTable rssfu_rngIqcAtvSoundMode;
extern RsRangeTable rssfu_rngTsgenWaveform;
extern RsRangeTable rssfu_rngTsgenPacketLength;
extern RsRangeTable rssfu_rngTsgenTsSerialOut;
extern RsRangeTable rssfu_rngTsgenInput;
extern RsRangeTable rssfu_rngTsgenRecordMode;
extern RsRangeTable rssfu_rngTsgenPrepare;
extern RsRangeTable rssfu_rngTsgenCommand;
extern RsRangeTable rssfu_rngTdmbSource;
extern RsRangeTable rssfu_rngTdmbTranMode;
extern RsRangeTable rssfu_rngTdmbNetwork;
extern RsRangeTable rssfu_rngTdmbPrbsSeq;
extern RsRangeTable rssfu_rngTdmbProtProfile;
extern RsRangeTable rssfu_rngTdmbProtLevel;
extern RsRangeTable rssfu_rngTdmbETI;
extern RsRangeTable rssfu_rngIqcDirCons;
extern RsRangeTable rssfu_rngIqcDirTestPacketMode;
extern RsRangeTable rssfu_rngDmAtvTransmStd;
extern RsRangeTable rssfu_rngIqcDirRollOff;
extern RsRangeTable rssfu_rngNoiseFrameDuration;
extern RsRangeTable rssfu_rngIqcJ83BTestSig;
extern RsRangeTable rssfu_rngIqcVsbTestSig;
extern RsRangeTable rssfu_rngIqcDirPackLength;
extern RsRangeTable rssfu_rngIqcAtvVisionPict;
extern RsRangeTable rssfu_rngIqcJ83BConstellation;
extern RsRangeTable rssfu_rngIqcJ83BIntrleaverMode;
extern RsRangeTable rssfu_rngIqcJ83BPackLength;
extern RsRangeTable rssfu_rngIqcVsbPackLength;
extern RsRangeTable rssfu_rngIqcPackedLength;
extern RsRangeTable rssfu_rngIqcDmbthTestSig;
extern RsRangeTable rssfu_rngIqcDmbthCodeRate;
extern RsRangeTable rssfu_rngIqcDmbthLpcd;
extern RsRangeTable rssfu_rngIqcDmbthPolarity;
extern RsRangeTable rssfu_rngIqcIsdbtPortion;
extern RsRangeTable rssfu_rngIqcIsdbtConstel;
extern RsRangeTable rssfu_rngIqcIsdbtInterleaving;
extern RsRangeTable rssfu_rngIqcIsdbtMode;
extern RsRangeTable rssfu_rngIqcIsdbtGuardInt;
extern RsRangeTable rssfu_rngIqcIsdbtAcData;
extern RsRangeTable rssfu_rngIqcAtvPreemphasis;
extern RsRangeTable rssfu_rngFsimp2dynProfile;
extern RsRangeTable rssfu_rngFsimP2dynMovMode;
extern RsRangeTable rssfu_rngArbTrigMode;
extern RsRangeTable rssfu_rngArbTrigSource;
extern RsRangeTable rssfu_rngArbMkrMode;
extern RsRangeTable rssfu_rngTrigIoSource;
extern RsRangeTable rssfu_rngTrigIoDestination;
extern RsRangeTable rssfu_rngFreqVsbFreq;
extern RsRangeTable rssfu_rngSystemKLock;
extern RsRangeTable rssfu_rngTrigIoState;
extern RsRangeTable rssfu_rngTsgenCommandState;
extern RsRangeTable rssfu_rngIqcAtvAudioSource;
extern RsRangeTable rssfu_rngIqcAtvAudioInputImpedance;
extern RsRangeTable rssfu_rngIqcAtvSoundNICSignal;
extern RsRangeTable rssfu_rngIqcAtvSpecialVsbChar;
extern RsRangeTable rssfu_rngIqcAtvVideoInput;
extern RsRangeTable rssfu_rngIqcMfloChanBw;
extern RsRangeTable rssfu_rngFsimReference;
extern RsRangeTable rssfu_rngFsimConfig;
extern RsRangeTable rssfu_rngFsimParMovingLoss;
extern RsRangeTable rssfu_rngIqcPid;
extern RsRangeTable rssfu_rngIqcSymb;
extern RsRangeTable rssfu_rngIqcDbmtDelay;
extern RsRangeTable rssfu_rngIqcSymbRate;
extern RsRangeTable rssfu_rngIqcDvbtTpsVal;
extern RsRangeTable rssfu_rngIqcDvbtBw;
extern RsRangeTable rssfu_rngIqcDvbsSymbRate;
extern RsRangeTable rssfu_rndIqcDvbs2SymbRate;
extern RsRangeTable rssfu_rngIqcDvbs2ErrBch;
extern RsRangeTable rssfu_rngIqcDvbs2ErrLdpc;
extern RsRangeTable rssfu_rngIqcDvbs2PhasMagn;
extern RsRangeTable rssfu_rngFsimParCoeff;
extern RsRangeTable rssfu_rngOutpFreq;
extern RsRangeTable rssfu_rngFreqOffs;
extern RsRangeTable rssfu_rngFreqSweDwell;
extern RsRangeTable rssfu_rngFreqSweSpan;
extern RsRangeTable rssfu_rngFreqSweLogStep;
extern RsRangeTable rssfu_rngBBoffs;
extern RsRangeTable rssfu_rngBBQuadrOffs;
extern RsRangeTable rssfu_rngBBAmplImb;
extern RsRangeTable rssfu_rngModWCrFact;
extern RsRangeTable rssfu_rngArbClkFreq;
extern RsRangeTable rssfu_rngArbTstSigFreq;
extern RsRangeTable rssfu_rngArbTstSigSampl;
extern RsRangeTable rssfu_rngArbTstSigPhOffs;
extern RsRangeTable rssfu_rngDmInterferAtten;
extern RsRangeTable rssfu_rngNoiseCn;
extern RsRangeTable rssfu_rngNoiseReceivBW;
extern RsRangeTable rssfu_rngRoscAdjVal;
extern RsRangeTable rssfu_rngFsimParPathLoss;
extern RsRangeTable rssfu_rngFsimParBasicDel;
extern RsRangeTable rssfu_rngFsimParAddDel;
extern RsRangeTable rssfu_rngFsimParPowRatio;
extern RsRangeTable rssfu_rngFsimParConstPh;
extern RsRangeTable rssfu_rngFsimParSpeed;
extern RsRangeTable rssfu_rngFsimParFreqRatio;
extern RsRangeTable rssfu_rngFsimParPhase;
extern RsRangeTable rssfu_rngFsimParLocalConst;
extern RsRangeTable rssfu_rngFsimParBirtPosit;
extern RsRangeTable rssfu_rngFsimParStdDeviation;
extern RsRangeTable rssfu_rngFsimVirtualRf;
extern RsRangeTable rssfu_rngFsimUserInsertLoss;
extern RsRangeTable rssfu_rngFsimParBirtLoss;
extern RsRangeTable rssfu_rngFsimParBirtDelMin;
extern RsRangeTable rssfu_rngFsimParBirtDelGrid;
extern RsRangeTable rssfu_rngFsimParBirtSpeed;
extern RsRangeTable rssfu_rngFsimParMovingRefDel;
extern RsRangeTable rssfu_rngFsimParMovingVar;
extern RsRangeTable rssfu_rngFsimParMovingVarPer;
extern RsRangeTable rssfu_rngNoisePulseMinSpac;
extern RsRangeTable rssfu_rngNoisePhase;
extern RsRangeTable rssfu_rngFsimIlos;
extern RsRangeTable rssfu_rngIqcAtvFreqSound;
extern RsRangeTable rssfu_rngIqcAtvLevelSound;
extern RsRangeTable rssfu_rngTsgenFreq;
extern RsRangeTable rssfu_rngTsgenRecordSize;
extern RsRangeTable rssfu_rngTdmbTestSigScid;
extern RsRangeTable rssfu_rngTdmbTransModeSel;
extern RsRangeTable rssfu_rngTdmbTiiMain;
extern RsRangeTable rssfu_rngIqcDirErrConvEnc;
extern RsRangeTable rssfu_rngIqcVsbSymbRate;
extern RsRangeTable rssfu_rngIqcVsbPilotVal;
extern RsRangeTable rssfu_rngNoiseImpCI;
extern RsRangeTable rssfu_rngIqcMfloSinFreq;
extern RsRangeTable rssfu_rngIqcMfloGain;
extern RsRangeTable rssfu_rngIqcMfloWPID;
extern RsRangeTable rssfu_rngDmInterferFreqOffs;
extern RsRangeTable rssfu_rngIqcMfloLPID;
extern RsRangeTable rssfu_rngIqcMfloLID;
extern RsRangeTable rssfu_rngIqcMfloWID;
extern RsRangeTable rssfu_rngIqcMfloInfraID;
extern RsRangeTable rssfu_rngIqcMfloLocalTimeOffs;
extern RsRangeTable rssfu_rngDmSigFreqOffs;
extern RsRangeTable rssfu_rngIqcIsdbtSegment;
extern RsRangeTable rssfu_rngIqcIsdbtBwVar;
extern RsRangeTable rssfu_rngIqcAtvSpecFreqDev;
extern RsRangeTable rssfu_rngIqcAtvSubCarrFreq;
extern RsRangeTable rssfu_rngIqcAtvLevelSubCarr;
extern RsRangeTable rssfu_rngIqcAtvResidualCarr;
extern RsRangeTable rssfu_rngIqcAtvFreqDevPilot;
extern RsRangeTable rssfu_rngFsimP2dynSpeed;
extern RsRangeTable rssfu_rngFsimP2dynrefDelMin;
extern RsRangeTable rssfu_rngFsimP2dynMovDelMin;
extern RsRangeTable rssfu_rngFsimP2dynMovDelMax;
extern RsRangeTable rssfu_rngFsimP2dynPeriod;
extern RsRangeTable rssfu_rngFsimP2dynDwell;
extern RsRangeTable rssfu_rngArbTrigDelaySamples;
extern RsRangeTable rssfu_rngArbTrigInhibitSamples;
extern RsRangeTable rssfu_rngArbMkrDelay;
extern RsRangeTable rssfu_rngArbExtSampleMultiplier;
extern RsRangeTable rssfu_rngFreqChannel;
extern RsRangeTable rssfu_rngIqcTdmbTiiSubID;
extern RsRangeTable rssfu_rngIqcTdmbTiiMain;
extern RsRangeTable rssfu_rngIqcAtvAmModulDepth;
extern RsRangeTable rssfu_rngRclSave;
extern RsRangeTable rssfu_rngIqcDvbcRollOff;
extern RsRangeTable rssfu_rngTsgenAmplitude;
extern RsRangeTable rssfu_rngIqcSigSour;
extern RsRangeTable rssfu_rngIqcDtmbTestSig;
extern RsRangeTable rssfu_rngIqcDtmbNetw;
extern RsRangeTable rssfu_rngIqcDtmbConstel;
extern RsRangeTable rssfu_rngIqcDtmbCodeRate;
extern RsRangeTable rssfu_rngIqcDtmbGuar;
extern RsRangeTable rssfu_rngIqcDtmbChanBw;
extern RsRangeTable rssfu_rngIqcDtmbGic;
extern RsRangeTable rssfu_rngIqcDtmbPrbsMode;
extern RsRangeTable rssfu_rngIqcIsdbtSystem;
extern RsRangeTable rssfu_rngIqcIsdbtSubChan;
extern RsRangeTable rssfu_rngIqcDvbs2ScrSeq;
extern RsRangeTable rssfu_rngPowerMeterUnit;
extern RsRangeTable rssfu_rngPowerMeterSource;
extern RsRangeTable rssfu_rngPowerMeterFreq;
extern RsRangeTable rssfu_rngPowerMeterRelState;
extern RsRangeTable rssfu_rngPowerMeterRefPwr;
extern RsRangeTable rssfu_rngPowerMeterFilterType;
extern RsRangeTable rssfu_rngPowerMeterFilterLength;
extern RsRangeTable rssfu_rngDmInterferLevel;
extern RsRangeTable rssfu_rngDmInterferRef;
extern RsRangeTable rssfu_rngIqcDirPhNoiseShape;
extern RsRangeTable rssfu_rngIqcDirPhNoiseMagnitude;
extern RsRangeTable rssfu_rngBBImpairOptMode;
extern RsRangeTable rssfu_rngIqcDvbs2Fecframe;
extern RsRangeTable rssfu_rngDmAudioBcStd;
extern RsRangeTable rssfu_rngAudioBcFmInput;
extern RsRangeTable rssfu_rngAudioBcFmMode;
extern RsRangeTable rssfu_rngAudioBcImped;
extern RsRangeTable rssfu_rngAudioBcFmAgenFreq;
extern RsRangeTable rssfu_rngAudioBcFmAgenLevel;
extern RsRangeTable rssfu_rngAudioBcFmSigType;
extern RsRangeTable rssfu_rngAudioBcMoPreemphasis;
extern RsRangeTable rssfu_rngAudioBcDevAudio;
extern RsRangeTable rssfu_rngAudioBcRdsDev;
extern RsRangeTable rssfu_rngAudioBcPilotDev;
extern RsRangeTable rssfu_rngAudioBcMpxDev;
extern RsRangeTable rssfu_rngAudioBcSpecPilotPh;
extern RsRangeTable rssfu_rngAudioBcSpecRdsPh;
extern RsRangeTable rssfu_rngAudioBcAmDepth;
extern RsRangeTable rssfu_rngAudioBcAmGenFreq;
extern RsRangeTable rssfu_rngAudioBcAmGenLev;
extern RsRangeTable rssfu_rngFsimSource;
extern RsRangeTable rssfu_rngIcqCmmbSour;
extern RsRangeTable rssfu_rngIcqCmmbNrServices;
extern RsRangeTable rssfu_rngIqcCmmbControl;
extern RsRangeTable rssfu_rngIqcCmmbBw;
extern RsRangeTable rssfu_rngIqcCmmbOdfm;
extern RsRangeTable rssfu_rngIqcCmmbTxId;
extern RsRangeTable rssfu_rngIqcCmmbArId;
extern RsRangeTable rssfu_rngIcgAudioFmRdsPi;
extern RsRangeTable rssfu_rngIcgAudioFmRdsPty;
extern RsRangeTable rssfu_rngIcgAudioFmRdsMs;
extern RsRangeTable rssfu_rngIcgAudioFmRdsMethod;
extern RsRangeTable rssfu_rngIcgAudioFmAfANoFreq;
extern RsRangeTable rssfu_rngIcgAudioFmAfAFreq;
extern RsRangeTable rssfu_rngIcgAudioFmAfBListNo;
extern RsRangeTable rssfu_rngIcgAudioFmAfBNoFreq;
extern RsRangeTable rssfu_rngIcgAudioFmAfBOrder;
extern RsRangeTable rssfu_rngIcgAudioFmEonPi;
extern RsRangeTable rssfu_rngIcgAudioFmEonLsn;
extern RsRangeTable rssfu_rngIcgAudioFmEonPty;
extern RsRangeTable rssfu_rngIcgAudioFmEonMethod;
extern RsRangeTable rssfu_rngIcgAudioFmEonMapAfBNoFreq;
extern RsRangeTable rssfu_rngIcgAudioFmTmc3aVar;
extern RsRangeTable rssfu_rngIcgAudioFmTmc3aGroup;
extern RsRangeTable rssfu_rngIcgAudioFmBlock;
extern RsRangeTable rssfu_rngFsimParSignalDelShift;
extern RsRangeTable rssfu_rngFsimParDoplerFreq;
extern RsRangeTable rssfu_rngDvbt2MiSource;
extern RsRangeTable rssfu_rngDvbt2NumPlp;
extern RsRangeTable rssfu_rngDvbt2InpFormat;
extern RsRangeTable rssfu_rngDvbt2ModePlpId;
extern RsRangeTable rssfu_rngDvbt2PlpType;
extern RsRangeTable rssfu_rngDvbt2BbMode;
extern RsRangeTable rssfu_rngDvbt2BicmFec;
extern RsRangeTable rssfu_rngDvbt2CRate;
extern RsRangeTable rssfu_rngDvbt2Constel;
extern RsRangeTable rssfu_rngDvbt2TimeInt;
extern RsRangeTable rssfu_rngDvbt2ChBWidth;
extern RsRangeTable rssfu_rngDvbt2FftMode;
extern RsRangeTable rssfu_rngDvbt2GuardInt;
extern RsRangeTable rssfu_rngDvbt2PilotPatt;
extern RsRangeTable rssfu_rngDvbt2TransSyst;
extern RsRangeTable rssfu_rngDvbt2PeakAverPow;
extern RsRangeTable rssfu_rngDvbt2L1PostModul;
extern RsRangeTable rssfu_rngIqcDvbt2tPid;
extern RsRangeTable rssfu_rngIqcIsdbtTmccNext;
extern RsRangeTable rssfu_rngIqcIsdbtTxParam;
extern RsRangeTable rssfu_rngIcqCmmbTstSignal;
extern RsRangeTable rssfu_rngDvbt2TimeInterLen;
extern RsRangeTable rssfu_rngDvbt2T2SuperFrame;
extern RsRangeTable rssfu_rngDvbt2OfdmSymb;
extern RsRangeTable rssfu_rngDvbt2SystIDHex;
extern RsRangeTable rssfu_rngIqcAtsmPackLength;
extern RsRangeTable rssfu_rngIqcAtsmTestSig;
extern RsRangeTable rssfu_rngIcqAtsmMhPid;
extern RsRangeTable rssfu_rngIqcAtsmHex;
extern RsRangeTable rssfu_rngIqcAtsmBury;
extern RsRangeTable rssfu_rngIqcAtsmTrTxId;
extern RsRangeTable rssfu_rngIqcAtsmMarketHex;
extern RsRangeTable rssfu_rngDvbt2TBicmIJump;
extern RsRangeTable rssfu_rngIqcAtsmSRate;
extern RsRangeTable rssfu_rngIqcAtsmPilotVal;
extern RsRangeTable rssfu_rngTsgenStopData;
extern RsRangeTable rssfu_rngTsgenTsPacket;
extern RsRangeTable rssfu_rngDvbt2SubslicT2Fram;
extern RsRangeTable rssfu_rngDvbt2T2SystAuxStr;
extern RsRangeTable rssfu_rngDvbt2L1Version;
extern RsRangeTable rssfu_rngDvbt2MisoGroup;
extern RsRangeTable rssfu_rngNetworkMode;
extern RsRangeTable rssfu_rngDvbt2PlpModulType;
extern RsRangeTable rssfu_rngDvbt2PlpGroup;
extern RsRangeTable rssfu_rngDvbt2IssyMode;
extern RsRangeTable rssfu_rngMfloIfftMode;
extern RsRangeTable rssfu_rngMfloStimMap;
extern RsRangeTable rssfu_rngMfloCPLength;
extern RsRangeTable rssfu_rngMfloMACFrame;
extern RsRangeTable rssfu_rngMfloWPid;
extern RsRangeTable rssfu_rngMfloInfrastructId;
extern RsRangeTable rssfu_rngMfloTxPosition;
extern RsRangeTable rssfu_rngMfloTxOffset;
extern RsRangeTable rssfu_rngMfloTxLat;
extern RsRangeTable rssfu_rngMfloTxLon;
extern RsRangeTable rssfu_rngMfloTxAltitude;
extern RsRangeTable rssfu_rngMfloTxTransID;
extern RsRangeTable rssfu_rngDvbt2Fef;
extern RsRangeTable rssfu_rngDmbthGuardInt;
extern RsRangeTable rssfu_rngDvbc2NumPlp;
extern RsRangeTable rssfu_rngDvbc2InpFormat;
extern RsRangeTable rssfu_rngDvbc2ModePlpId;
extern RsRangeTable rssfu_rngDvbc2PlpType;
extern RsRangeTable rssfu_rngDvbc2BbMode;
extern RsRangeTable rssfu_rngDvbc2IssyMode;
extern RsRangeTable rssfu_rngDvbc2BicmFec;
extern RsRangeTable rssfu_rngDvbc2CodeRate;
extern RsRangeTable rssfu_rngDvbc2Constell;
extern RsRangeTable rssfu_rngDvbc2DsliceNum;
extern RsRangeTable rssfu_rngDvbc2DsliceMap;
extern RsRangeTable rssfu_rngDvbc2SystIDHex;
extern RsRangeTable rssfu_rngDvbc2DslTIDepth;
extern RsRangeTable rssfu_rngDvbc2DslType;
extern RsRangeTable rssfu_rngDvbc2DslFecHeaderType;
extern RsRangeTable rssfu_rngDvbc2DslXFecFrames;
extern RsRangeTable rssfu_rngDvbc2DslOffset;
extern RsRangeTable rssfu_rngDvbc2ChBWidth;
extern RsRangeTable rssfu_rngDvbc2NumBundledCh;
extern RsRangeTable rssfu_rngDvbc2GuardInt;
extern RsRangeTable rssfu_rngDvbc2SystemInterleaver;
extern RsRangeTable rssfu_rngIqcIsdbtChanBw;
extern RsRangeTable rssfu_rngIqcDvbt2BwVar;
extern RsRangeTable rssfu_rngDvbt2MiPid;
extern RsRangeTable rssfu_rngDvbc2DslTunePosRel;
extern RsRangeTable rssfu_rngIqcDtmbSfnTxAddr;
extern RsRangeTable rssfu_rngIqcDtmbArrConst;
extern RsRangeTable rssfu_rngCodingControl;
extern RsRangeTable rssfu_rngDVBT2SFNStaticDelay;
extern RsRangeTable rssfu_rngDVBT2SFNMaxDeviationTime;
extern RsRangeTable rssfu_rngISDBTmmCodingNumberOfSuperSegments;
extern RsRangeTable rssfu_rngISDBTmmSuperSegmentsType;
extern RsRangeTable rssfu_rngISDBTmmCodingNumberSegments;
extern RsRangeTable rssfu_rngISDBTmmCodingISDBTMode;
extern RsRangeTable rssfu_rngISDBTmmCodingLayerCenterSubchannel;
extern RsRangeTable rssfu_rngDVBT2SFNTimeStampMode;
extern RsRangeTable rssfu_rngDVBT2SFNTimeStampModeOffset;
extern RsRangeTable rssfu_rngDVBT2T2SystemFutureExtensionFramesPayload;
extern RsRangeTable rssfu_rngDVBT2T2SystemTxIDAvailability;
extern RsRangeTable rssfu_rngDVBT2InputSignalT2MISID;
extern RsRangeTable rssfu_rngDVBT2T2SystemProfileMode;
extern RsRangeTable rssfu_rngDVBC2FramingBasebandFilter;
extern RsRangeTable rssfu_rngDVBC2NotchType;
extern RsRangeTable rssfu_rngDVBC2FramingSystemBandwidth;
extern RsRangeTable rssfu_rngDVBC2NotchNumberOfNotches;
extern RsRangeTable rssfu_rngIqcStuffingSFC;
extern RsRangeTable rssfu_rngBTCInputSignalSource;
extern RsRangeTable rssfu_rngBTCInputSignalInput;
extern RsRangeTable rssfu_rngBTCInputSignalIPTSChannel;
extern RsRangeTable rssfu_rngBERInputBTC;
extern RsRangeTable rssfu_rngTxModulationModulatorLevelBTC;
extern RsRangeTable rssfu_rngAudioBCInputSourceBTC;
extern RsRangeTable rssfu_rngTSGENStatusBTC;
extern RsRangeTable rssfu_rngNoiseImpulsiveFrameDurationBTC;
extern RsRangeTable rssfu_rngMMGeneratorPlayerOutputPacketLength;
extern RsRangeTable rssfu_rngMMGeneratorPlayerOutputMode;
extern RsRangeTable rssfu_rngMMGeneratorPlayerTSDataRate;
extern RsRangeTable rssfu_rngDVBSCodingRollOffBTC;
extern RsRangeTable rssfu_rngBTCRoscFreq;
extern RsRangeTable rssfu_rngFadingReferenceBTC;

/*****************************************************************************
 *- Attributes --------------------------------------------------------------*
 *****************************************************************************/
extern RsAttrProperties g_RSSFU_RS_ATTR_RANGE_CHECK;
extern RsAttrProperties g_RSSFU_RS_ATTR_QUERY_INSTRUMENT_STATUS;
extern RsAttrProperties g_RSSFU_RS_ATTR_CACHE;
extern RsAttrProperties g_RSSFU_RS_ATTR_SIMULATE;
extern RsAttrProperties g_RSSFU_RS_ATTR_RECORD_COERCIONS;
extern RsAttrProperties g_RSSFU_RS_ATTR_INTERCHANGE_CHECK;
extern RsAttrProperties g_RSSFU_RS_ATTR_SPY;
extern RsAttrProperties g_RSSFU_RS_ATTR_USE_SPECIFIC_SIMULATION;
extern RsAttrProperties g_RSSFU_RS_ATTR_CLASS_DRIVER_DESCRIPTION;
extern RsAttrProperties g_RSSFU_RS_ATTR_CLASS_DRIVER_PREFIX;
extern RsAttrProperties g_RSSFU_RS_ATTR_CLASS_DRIVER_VENDOR;
extern RsAttrProperties g_RSSFU_RS_ATTR_CLASS_DRIVER_REVISION;
extern RsAttrProperties g_RSSFU_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MINOR_VERSION;
extern RsAttrProperties g_RSSFU_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION;
extern RsAttrProperties g_RSSFU_RS_ATTR_SPECIFIC_DRIVER_PREFIX;
extern RsAttrProperties g_RSSFU_RS_ATTR_SPECIFIC_DRIVER_LOCATOR;
extern RsAttrProperties g_RSSFU_RS_ATTR_SPECIFIC_DRIVER_VENDOR;
extern RsAttrProperties g_RSSFU_RS_ATTR_SPECIFIC_DRIVER_REVISION;
extern RsAttrProperties g_RSSFU_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION;
extern RsAttrProperties g_RSSFU_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION;
extern RsAttrProperties g_RSSFU_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MAJOR_VERSION;
extern RsAttrProperties g_RSSFU_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS;
extern RsAttrProperties g_RSSFU_RS_ATTR_GROUP_CAPABILITIES;
extern RsAttrProperties g_RSSFU_RS_ATTR_FUNCTION_CAPABILITIES;
extern RsAttrProperties g_RSSFU_RS_ATTR_CHANNEL_COUNT;
extern RsAttrProperties g_RSSFU_RS_ATTR_DRIVER_SETUP;
extern RsAttrProperties g_RSSFU_RS_ATTR_INSTRUMENT_MANUFACTURER;
extern RsAttrProperties g_RSSFU_RS_ATTR_INSTRUMENT_MODEL;
extern RsAttrProperties g_RSSFU_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION;
extern RsAttrProperties g_RSSFU_RS_ATTR_OPTIONS_LIST;
extern RsAttrProperties g_RSSFU_RS_ATTR_IO_RESOURCE_DESCRIPTOR;
extern RsAttrProperties g_RSSFU_RS_ATTR_LOGICAL_NAME;
extern RsAttrProperties g_RSSFU_RS_ATTR_PRIMARY_ERROR;
extern RsAttrProperties g_RSSFU_RS_ATTR_SECONDARY_ERROR;
extern RsAttrProperties g_RSSFU_RS_ATTR_ERROR_ELABORATION;
extern RsAttrProperties g_RSSFU_RS_ATTR_VISA_RM_SESSION;
extern RsAttrProperties g_RSSFU_RS_ATTR_IO_SESSION;
extern RsAttrProperties g_RSSFU_RS_ATTR_IO_SESSION_TYPE;
extern RsAttrProperties g_RSSFU_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION;
extern RsAttrProperties g_RSSFU_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION;
extern RsAttrProperties g_RSSFU_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION;
extern RsAttrProperties g_RSSFU_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION;
extern RsAttrProperties g_RSSFU_RS_ATTR_CLASS_DRIVER_MINOR_VERSION;
extern RsAttrProperties g_RSSFU_RS_ATTR_ENGINE_MAJOR_VERSION;
extern RsAttrProperties g_RSSFU_RS_ATTR_ENGINE_MINOR_VERSION;
extern RsAttrProperties g_RSSFU_RS_ATTR_ENGINE_REVISION;
extern RsAttrProperties g_RSSFU_RS_ATTR_OPC_CALLBACK;
extern RsAttrProperties g_RSSFU_RS_ATTR_CHECK_STATUS_CALLBACK;
extern RsAttrProperties g_RSSFU_RS_ATTR_OPC_TIMEOUT;
extern RsAttrProperties g_RSSFU_ATTR_FREQ_CW;
extern RsAttrProperties g_RSSFU_ATTR_FREQ_MODE;
extern RsAttrProperties g_RSSFU_ATTR_FREQ_MODE_BTC;
extern RsAttrProperties g_RSSFU_ATTR_FREQ_OFFSET;
extern RsAttrProperties g_RSSFU_ATTR_FREQ_ACT_CENTER;
extern RsAttrProperties g_RSSFU_ATTR_FREQ_CHANNEL;
extern RsAttrProperties g_RSSFU_ATTR_FREQ_CHANNEL_NAME;
extern RsAttrProperties g_RSSFU_ATTR_FREQ_CHANNEL_TABLE_SELECT;
extern RsAttrProperties g_RSSFU_ATTR_FREQ_CHANNEL_TABLE_STORE;
extern RsAttrProperties g_RSSFU_ATTR_FREQ_CHANNEL_TABLE_DELETE;
extern RsAttrProperties g_RSSFU_ATTR_FREQ_VSB_REF_POINT;
extern RsAttrProperties g_RSSFU_ATTR_FREQ_SWE_MODE;
extern RsAttrProperties g_RSSFU_ATTR_FREQ_SWE_CENTER;
extern RsAttrProperties g_RSSFU_ATTR_FREQ_SWE_SPAN;
extern RsAttrProperties g_RSSFU_ATTR_FREQ_SWE_START;
extern RsAttrProperties g_RSSFU_ATTR_FREQ_SWE_STOP;
extern RsAttrProperties g_RSSFU_ATTR_FREQ_SWE_MAN;
extern RsAttrProperties g_RSSFU_ATTR_FREQ_SWE_DWELL;
extern RsAttrProperties g_RSSFU_ATTR_FREQ_SWE_TRIG;
extern RsAttrProperties g_RSSFU_ATTR_FREQ_SWE_RESET;
extern RsAttrProperties g_RSSFU_ATTR_FREQ_SWE_SPACING;
extern RsAttrProperties g_RSSFU_ATTR_FREQ_SWE_STEP_LIN;
extern RsAttrProperties g_RSSFU_ATTR_FREQ_SWE_STEP_LOG;
extern RsAttrProperties g_RSSFU_ATTR_POW_PEAK_ENVELOPE_POWER;
extern RsAttrProperties g_RSSFU_ATTR_POW_LEVEL;
extern RsAttrProperties g_RSSFU_ATTR_TX_VOLATGE_LEVEL;
extern RsAttrProperties g_RSSFU_ATTR_RFOUT_STATE;
extern RsAttrProperties g_RSSFU_ATTR_POW_OFFSET;
extern RsAttrProperties g_RSSFU_ATTR_POW_USER_LIMIT;
extern RsAttrProperties g_RSSFU_ATTR_RFOUT_AMODE;
extern RsAttrProperties g_RSSFU_ATTR_RFOUT_ATT_MIN;
extern RsAttrProperties g_RSSFU_ATTR_RFOUT_ATT_MAX;
extern RsAttrProperties g_RSSFU_ATTR_RFOUT_CLEAR;
extern RsAttrProperties g_RSSFU_ATTR_RFOUT_TRIPPED;
extern RsAttrProperties g_RSSFU_ATTR_POW_ALC_STATE;
extern RsAttrProperties g_RSSFU_ATTR_POW_ALCOFF_MODE;
extern RsAttrProperties g_RSSFU_ATTR_POW_ALC_SEARCH_ONCE;
extern RsAttrProperties g_RSSFU_ATTR_POW_LEV_UNIT;
extern RsAttrProperties g_RSSFU_ATTR_MOD_DM_MODULATION;
extern RsAttrProperties g_RSSFU_ATTR_MOD_DM_SIGNAL_SOURCE;
extern RsAttrProperties g_RSSFU_ATTR_MOD_DM_TRANSMISSION_STANDARD;
extern RsAttrProperties g_RSSFU_ATTR_MOD_DM_SIGNAL_SOURCE_BTC;
extern RsAttrProperties g_RSSFU_ATTR_MOD_DM_ATV_TRANSMISSION_STANDARD;
extern RsAttrProperties g_RSSFU_ATTR_MOD_DM_SPECTRUM;
extern RsAttrProperties g_RSSFU_ATTR_MOD_DM_INTERFERER_SOURCE;
extern RsAttrProperties g_RSSFU_ATTR_MOD_DM_ATV_PREDEF_STANDARD;
extern RsAttrProperties g_RSSFU_ATTR_MOD_DM_INTERFERER_ATTENUATION;
extern RsAttrProperties g_RSSFU_ATTR_MOD_DM_INTERFERER_ADDITION;
extern RsAttrProperties g_RSSFU_ATTR_MOD_DM_INTERFERER_FREQ_OFFSET;
extern RsAttrProperties g_RSSFU_ATTR_MOD_DM_INTERFERER_ARB_ATTENUATION;
extern RsAttrProperties g_RSSFU_ATTR_MOD_DM_INTERFERER_ARB_FREQ_OFFSET;
extern RsAttrProperties g_RSSFU_ATTR_MOD_DM_SIGNAL_FREQ_OFFSET;
extern RsAttrProperties g_RSSFU_ATTR_TX_MOD_INTERFERER_REFERENCE;
extern RsAttrProperties g_RSSFU_ATTR_TX_MOD_INTERFERER_LEVEL;
extern RsAttrProperties g_RSSFU_ATTR_MOD_DM_INTERFERER_ARB_LEVEL;
extern RsAttrProperties g_RSSFU_ATTR_MOD_AUDIO_BC_STANDARD;
extern RsAttrProperties g_RSSFU_ATTR_TX_MODULATION_SPECTRUM_INVERSION;
extern RsAttrProperties g_RSSFU_ATTR_MOD_MODULATOR_LEVEL;
extern RsAttrProperties g_RSSFU_ATTR_MOD_MODULATOR_LEVEL_BTC;
extern RsAttrProperties g_RSSFU_ATTR_MOD_WIDEBAND_IN_CREST_FACTOR;
extern RsAttrProperties g_RSSFU_ATTR_MOD_WIDEBAND_RF_FILTERING;
extern RsAttrProperties g_RSSFU_ATTR_MOD_DIGITAL_IN_MODE;
extern RsAttrProperties g_RSSFU_ATTR_MOD_DIGITAL_OUTPUT;
extern RsAttrProperties g_RSSFU_ATTR_MOD_ANALOG_IQ_INPUT_RMS_VAL;
extern RsAttrProperties g_RSSFU_ATTR_MOD_ANALOG_IQ_INPUT_PEAK_VAL;
extern RsAttrProperties g_RSSFU_ATTR_MOD_DIGITAL_IQ_INPUT_RMS_VAL;
extern RsAttrProperties g_RSSFU_ATTR_MOD_DIGITAL_IQ_INPUT_PEAK_VAL;
extern RsAttrProperties g_RSSFU_ATTR_MOD_DIGITAL_IQ_INPUT_REFRESH;
extern RsAttrProperties g_RSSFU_ATTR_MOD_ANALOG_IQ_INPUT_REFRESH;
extern RsAttrProperties g_RSSFU_ATTR_MODULATION_DIGITAL_IQ_INPUT_SYMBOL_RATE;
extern RsAttrProperties g_RSSFU_ATTR_BTC_INPUT_SIGNAL_SOURCE;
extern RsAttrProperties g_RSSFU_ATTR_BTC_INPUT_SIGNAL_INPUT;
extern RsAttrProperties g_RSSFU_ATTR_BTC_INPUT_SIGNAL_INPUT_LOW;
extern RsAttrProperties g_RSSFU_ATTR_BTC_INPUT_SIGNAL_IP_TS_CHANNEL;
extern RsAttrProperties g_RSSFU_ATTR_BTC_C2_INPUT_SIGNAL_IP_TS_CHANNEL;
extern RsAttrProperties g_RSSFU_ATTR_BTC_S2_INPUT_SIGNAL_IP_TS_CHANNEL;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBT_MIPC;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBT_SOUR;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBT_SOUR_LOW;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBT_INP;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBT_INP_LOW;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBT_STUF;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBT_STUF_LOW;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBT_TEST;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBT_TEST_LOW;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBT_PACKET_LENGTH;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBT_PACKET_LENGTH_LOW;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBT_MAX_USEFUL_DATA_RATE;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBT_MAX_USEFUL_DATA_RATE_LOW;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBT_MEASURED_DATA_RATE;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBT_MEASURED_DATA_RATE_LOW;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBT_USEFUL_DATA_RATE;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBT_USEFUL_DATA_RATE_LOW;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBT_CHAN;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBT_USED_RESULT;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBT_FFT_MODE;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBT_GUAR_INT;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBT_HIER;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBT_CONS;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBT_RATE;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBT_RATE_LOW;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBT_DVHS;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBT_DVBH_SYMB;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBT_SETT;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBT_SCR;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBT_SCR_LOW;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBT_SYNC_INV;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBT_SYNC_INV_LOW;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBT_REED;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBT_REED_LOW;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBT_CONV;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBT_CONV_LOW;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBT_BIT;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBT_SYMB;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBT_GUAR_STAT;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBT_DATA_MOD;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBT_PIL_MOD;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBT_TPS_MOD;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBT_DATA;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBT_PIL;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBT_TPS;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBT_EQU;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBT_DIS_CARR;
extern RsAttrProperties g_RSSFU_ATTR_DVBT_SPECIAL_LOAD_CARRIERS;
extern RsAttrProperties g_RSSFU_ATTR_DVBT_SPECIAL_STORE_CARRIERS;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBT_TSP;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBT_PIDT;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBT_PID;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBT_PAYL;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBT_PRBS;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBT_CELL_ID;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBT_TPSR_STAT;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBT_TPSR_VAL;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBT_TIM;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBT_TIM_LOW;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBT_MPEF;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBT_MPEF_LOW;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBT_LOCK;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBT_LOCK_HIGH;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBT_LOCK_LOW;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBC_LOCK;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBC_SOUR;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBC_INP;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBC_STUF;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBC_TEST;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBC_PACKET_LENGTH;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBC_MAX_USEFUL_DATA_RATE;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBC_MEASURED_DATA_RATE;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBC_USEFUL_DATA_RATE;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBC_SYMB;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBC_CONS;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBC_ROLL;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBC_SETT;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBC_SCR;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBC_SYNC_INV;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBC_REED;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBC_INT;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBC_TSP;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBC_PIDT;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBC_PID;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBC_PAYL;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBC_PRBS;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBS_LOCK;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBS_SOUR;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBS_INP;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBS_STUF;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBS_TEST;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBS_PACKET_LENGTH;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBS_MAX_USEFUL_DATA_RATE;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBS_MEASURED_DATA_RATE;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBS_USEFUL_DATA_RATE;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBS_REQ_DATA_RATE;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBS_SYMB;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBS_CONS;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBS_ROLL;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBS_ROLL_BTC;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBS_RATE;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBS_SETT;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBS_SCR;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBS_SYNC_INV;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBS_REED;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBS_INT;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBS_TSP;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBS_PIDT;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBS_PID;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBS_PAYL;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBS_PRBS;
extern RsAttrProperties g_RSSFU_ATTR_IQC_8VSB_LOCK;
extern RsAttrProperties g_RSSFU_ATTR_IQC_8VSB_SOURCE;
extern RsAttrProperties g_RSSFU_ATTR_IQC_8VSB_INPUT_SIGNAL;
extern RsAttrProperties g_RSSFU_ATTR_IQC_8VSB_STUFFING;
extern RsAttrProperties g_RSSFU_ATTR_IQC_8VSB_PACKET_LENGTH;
extern RsAttrProperties g_RSSFU_ATTR_IQC_8VSB_MAX_USEFUL_DATA_RATE;
extern RsAttrProperties g_RSSFU_ATTR_IQC_8VSB_MEASURED_DATA_RATE;
extern RsAttrProperties g_RSSFU_ATTR_IQC_8VSB_USEFUL_DATA_RATE;
extern RsAttrProperties g_RSSFU_ATTR_IQC_8VSB_TEST;
extern RsAttrProperties g_RSSFU_ATTR_IQC_8VSB_SYMBOL_RATE;
extern RsAttrProperties g_RSSFU_ATTR_IQC_8VSB_CONSTELLATION;
extern RsAttrProperties g_RSSFU_ATTR_IQC_8VSB_ROLL_OFF;
extern RsAttrProperties g_RSSFU_ATTR_IQC_8VSB_SPECIAL_SETTINGS;
extern RsAttrProperties g_RSSFU_ATTR_IQC_8VSB_RANDOMIZER;
extern RsAttrProperties g_RSSFU_ATTR_IQC_8VSB_REED_SOLOMON;
extern RsAttrProperties g_RSSFU_ATTR_IQC_8VSB_INTERLEAVER;
extern RsAttrProperties g_RSSFU_ATTR_IQC_8VSB_PILOT;
extern RsAttrProperties g_RSSFU_ATTR_IQC_8VSB_PILOT_VALUE;
extern RsAttrProperties g_RSSFU_ATTR_IQC_8VSB_TEST_TS_PACKED;
extern RsAttrProperties g_RSSFU_ATTR_IQC_8VSB_PID_TEST_PACKET;
extern RsAttrProperties g_RSSFU_ATTR_IQC_8VSB_PID;
extern RsAttrProperties g_RSSFU_ATTR_IQC_8VSB_PAYLOAD_TEST;
extern RsAttrProperties g_RSSFU_ATTR_IQC_8VSB_PRBS;
extern RsAttrProperties g_RSSFU_ATTR_IQC_J83B_LOCK;
extern RsAttrProperties g_RSSFU_ATTR_IQC_J83B_SOURCE;
extern RsAttrProperties g_RSSFU_ATTR_IQC_J83B_INPUT_SIGNAL;
extern RsAttrProperties g_RSSFU_ATTR_IQC_J83B_STUFFING;
extern RsAttrProperties g_RSSFU_ATTR_IQC_J83B_PACKET_LENGTH;
extern RsAttrProperties g_RSSFU_ATTR_IQC_J83B_MAX_USEFUL_DATA_RATE;
extern RsAttrProperties g_RSSFU_ATTR_IQC_J83B_MEASURED_DATA_RATE;
extern RsAttrProperties g_RSSFU_ATTR_IQC_J83B_USEFUL_DATA_RATE;
extern RsAttrProperties g_RSSFU_ATTR_IQC_J83B_TEST;
extern RsAttrProperties g_RSSFU_ATTR_IQC_J83B_SYMBOL_RATE;
extern RsAttrProperties g_RSSFU_ATTR_IQC_J83B_CONSTELLATION;
extern RsAttrProperties g_RSSFU_ATTR_IQC_J83B_ROLL_OFF;
extern RsAttrProperties g_RSSFU_ATTR_IQC_J83B_INTERLEAVER_MODE;
extern RsAttrProperties g_RSSFU_ATTR_IQC_J83B_SPECIAL_SETTINGS;
extern RsAttrProperties g_RSSFU_ATTR_IQC_J83B_CHECKSUMGEN;
extern RsAttrProperties g_RSSFU_ATTR_IQC_J83B_REED_SOLOMON;
extern RsAttrProperties g_RSSFU_ATTR_IQC_J83B_INTERLEAVER;
extern RsAttrProperties g_RSSFU_ATTR_IQC_J83B_RANDOMIZER;
extern RsAttrProperties g_RSSFU_ATTR_IQC_J83B_TEST_TS_PACKED;
extern RsAttrProperties g_RSSFU_ATTR_IQC_J83B_PID_TEST_PACKET;
extern RsAttrProperties g_RSSFU_ATTR_IQC_J83B_PID;
extern RsAttrProperties g_RSSFU_ATTR_IQC_J83B_PAYLOAD_TEST;
extern RsAttrProperties g_RSSFU_ATTR_IQC_J83B_PRBS;
extern RsAttrProperties g_RSSFU_ATTR_IQC_ISDBT_LOCK;
extern RsAttrProperties g_RSSFU_ATTR_IQC_ISDBT_SOURCE;
extern RsAttrProperties g_RSSFU_ATTR_IQC_ISDBT_TEST;
extern RsAttrProperties g_RSSFU_ATTR_ISDBT_INPUT_SIGNAL_REMUX;
extern RsAttrProperties g_RSSFU_ATTR_ISDBT_INPUT_SIGNAL_STUFFING;
extern RsAttrProperties g_RSSFU_ATTR_IQC_ISDBT_INPUT_SIGNAL;
extern RsAttrProperties g_RSSFU_ATTR_IQC_ISDBT_INPUT_DATA_RATE;
extern RsAttrProperties g_RSSFU_ATTR_IQC_ISDBT_MAX_USEFUL_DATA_RATE;
extern RsAttrProperties g_RSSFU_ATTR_IQC_ISDBT_MEAS_USEFUL_DATA_RATE;
extern RsAttrProperties g_RSSFU_ATTR_IQC_ISDBT_CODING_SYSTEM;
extern RsAttrProperties g_RSSFU_ATTR_ISDBT_CODING_CONTROL;
extern RsAttrProperties g_RSSFU_ATTR_IQC_ISDBT_PORTION;
extern RsAttrProperties g_RSSFU_ATTR_IQC_ISDBT_CONSTELLATION;
extern RsAttrProperties g_RSSFU_ATTR_IQC_ISDBT_SEGMENTS;
extern RsAttrProperties g_RSSFU_ATTR_IQC_ISDBT_CODE_RATE;
extern RsAttrProperties g_RSSFU_ATTR_IQC_ISDBT_TIME_INTERLEAVING;
extern RsAttrProperties g_RSSFU_ATTR_IQC_ISDBT_MODE;
extern RsAttrProperties g_RSSFU_ATTR_IQC_ISDBT_GUARD_INTERVAL;
extern RsAttrProperties g_RSSFU_ATTR_IQC_ISDBT_CODING_SUB_CHANNEL;
extern RsAttrProperties g_RSSFU_ATTR_IQC_ISDBT_BANDWIDTH_VARIATION;
extern RsAttrProperties g_RSSFU_ATTR_ISDBT_CODING_CHANNEL_BANDWIDTH;
extern RsAttrProperties g_RSSFU_ATTR_IQC_ISDBT_BANDWIDTH;
extern RsAttrProperties g_RSSFU_ATTR_IQC_ISDBT_SPECIAL_SETTINGS;
extern RsAttrProperties g_RSSFU_ATTR_IQC_ISDBT_SCRAMBLER;
extern RsAttrProperties g_RSSFU_ATTR_IQC_ISDBT_REED_SOLOMON;
extern RsAttrProperties g_RSSFU_ATTR_IQC_ISDBT_BYTE_INTERLEAVER;
extern RsAttrProperties g_RSSFU_ATTR_IQC_ISDBT_BIT_INTERLEAVER;
extern RsAttrProperties g_RSSFU_ATTR_IQC_ISDBT_FREQUENCY_INTERLEAVER;
extern RsAttrProperties g_RSSFU_ATTR_IQC_ISDBT_ALERT_BROADCAST_FLAG;
extern RsAttrProperties g_RSSFU_ATTR_IQC_ISDBT_DATA_CARRIERS;
extern RsAttrProperties g_RSSFU_ATTR_IQC_ISDBT_SCATTERED_PILOTS;
extern RsAttrProperties g_RSSFU_ATTR_IQC_ISDBT_CONTINUAL_PILOTS;
extern RsAttrProperties g_RSSFU_ATTR_IQC_ISDBT_TMCC_PILOTS;
extern RsAttrProperties g_RSSFU_ATTR_IQC_ISDBT_AC_PILOTS;
extern RsAttrProperties g_RSSFU_ATTR_IQC_ISDBT_MOD_DATA_CARRIERS;
extern RsAttrProperties g_RSSFU_ATTR_IQC_ISDBT_MOD_SCATTERED_PILOTS;
extern RsAttrProperties g_RSSFU_ATTR_IQC_ISDBT_MOD_CONTINUAL_PILOTS;
extern RsAttrProperties g_RSSFU_ATTR_IQC_ISDBT_MOD_TMCC_PILOTS;
extern RsAttrProperties g_RSSFU_ATTR_ISDBT_SPECIAL_SETTINGS_MOD_TMCC_NEXT;
extern RsAttrProperties g_RSSFU_ATTR_IQC_ISDBT_MOD_AC_PILOTS;
extern RsAttrProperties g_RSSFU_ATTR_IQC_ISDBT_AC_DATA1;
extern RsAttrProperties g_RSSFU_ATTR_IQC_ISDBT_AC_DATA2;
extern RsAttrProperties g_RSSFU_ATTR_IQC_ISDBT_GUARD_INSERTION;
extern RsAttrProperties g_RSSFU_ATTR_ISDBT_SPECIAL_SETT_TX_PARAM_SWITCH_IND;
extern RsAttrProperties g_RSSFU_ATTR_IQC_ISDBT_TEST_TS_PACKED;
extern RsAttrProperties g_RSSFU_ATTR_IQC_ISDBT_PID_TEST_PACKET;
extern RsAttrProperties g_RSSFU_ATTR_IQC_ISDBT_PID;
extern RsAttrProperties g_RSSFU_ATTR_ISDBT_SETTINGS_PAYLOAD_TEST_STUFF;
extern RsAttrProperties g_RSSFU_ATTR_IQC_ISDBT_PRBS;
extern RsAttrProperties g_RSSFU_ATTR_IQC_ISDBT_TEST_TS_PACKED_BTC;
extern RsAttrProperties g_RSSFU_ATTR_IQC_ISDBT_PID_TEST_PACKET_BTC;
extern RsAttrProperties g_RSSFU_ATTR_IQC_ISDBT_PID_BTC;
extern RsAttrProperties g_RSSFU_ATTR_ISDBT_SETTINGS_PAYLOAD_TEST_STUFF_BTC;
extern RsAttrProperties g_RSSFU_ATTR_ISDBTMM_INPUT_SIGNAL_SOURCE;
extern RsAttrProperties g_RSSFU_ATTR_ISDBTMM_INPUT_SIGNAL_TEST_SIGNAL;
extern RsAttrProperties g_RSSFU_ATTR_ISDBTMM_INPUT_SIGNAL_INPUT;
extern RsAttrProperties g_RSSFU_ATTR_ISDBTMM_INPUT_SIGNAL_STUFFING;
extern RsAttrProperties g_RSSFU_ATTR_READ_ISDBTMM_INPUT_DATA_RATE;
extern RsAttrProperties g_RSSFU_ATTR_READ_ISDBTMM_MAX_USEFUL_DATA_RATE;
extern RsAttrProperties g_RSSFU_ATTR_ISDBTMM_CODING_CONTROL;
extern RsAttrProperties g_RSSFU_ATTR_ISDBTMM_CODING_PARTIAL_RECEPTION;
extern RsAttrProperties g_RSSFU_ATTR_ISDBTMM_CODING_NUMBER_OF_SUPER_SEGMENTS;
extern RsAttrProperties g_RSSFU_ATTR_ISDBTMM_CODING_SUPER_SEGMENTS_TYPE;
extern RsAttrProperties g_RSSFU_ATTR_ISDBTMM_CODING_NUMBER_SEGMENTS;
extern RsAttrProperties g_RSSFU_ATTR_ISDBTMM_CODING_LAYER_OFDM_SEGMENTS;
extern RsAttrProperties g_RSSFU_ATTR_ISDBTMM_CODING_LAYER_CENTER_SUBCHANNEL;
extern RsAttrProperties g_RSSFU_ATTR_ISDBTMM_CODING_LAYER_CONSTELLATION;
extern RsAttrProperties g_RSSFU_ATTR_ISDBTMM_CODING_LAYER_CODE_RATE;
extern RsAttrProperties g_RSSFU_ATTR_ISDBTMM_CODING_LAYER_TIME_INTERLEAVING;
extern RsAttrProperties g_RSSFU_ATTR_ISDBTMM_CODING_EMERGENCY_ALARM;
extern RsAttrProperties g_RSSFU_ATTR_ISDBTMM_CODING_ISDBT_MODE;
extern RsAttrProperties g_RSSFU_ATTR_ISDBTMM_CODING_GUARD_INTERVAL;
extern RsAttrProperties g_RSSFU_ATTR_ISDBTMM_CODING_REFERENCE_CHANNEL;
extern RsAttrProperties g_RSSFU_ATTR_ISDBTMM_CODING_BANDWIDTH;
extern RsAttrProperties g_RSSFU_ATTR_ISDBTMM_SPECIAL_SETTINGS_STATE;
extern RsAttrProperties g_RSSFU_ATTR_ISDBTMM_SPECIAL_SETTINGS_BYTE_INTERLEAVER;
extern RsAttrProperties g_RSSFU_ATTR_ISDBTMM_SPECIAL_SETTINGS_BIT_INTERLEAVER;
extern RsAttrProperties g_RSSFU_ATTR_ISDBTMM_SPECIAL_SETTINGS_FREQUENCY_INTERLEAVER;
extern RsAttrProperties g_RSSFU_ATTR_ISDBTMM_SPECIAL_REED_SOLOMON;
extern RsAttrProperties g_RSSFU_ATTR_ISDBTMM_SPECIAL_SCRAMBLER;
extern RsAttrProperties g_RSSFU_ATTR_ISDBTMM_SPECIAL_SETTINGS_TX_PARAM_SWITCHING_INDICATOR;
extern RsAttrProperties g_RSSFU_ATTR_ISDBTMM_SPECIAL_SETTINGS_TMCC_NEXT;
extern RsAttrProperties g_RSSFU_ATTR_ISDBTMM_SETTINGS_TEST_TS_PACKET;
extern RsAttrProperties g_RSSFU_ATTR_ISDBTMM_SETTINGS_PAYLOAD_TEST_TS_PACKET;
extern RsAttrProperties g_RSSFU_ATTR_ISDBTMM_SETTINGS_PID_TEST_PACKET;
extern RsAttrProperties g_RSSFU_ATTR_ISDBTMM_SETTINGS_PID;
extern RsAttrProperties g_RSSFU_ATTR_ISDBTMM_SETTINGS_PRBS;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DMBTH_LOCK;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DMBTH_SOURCE;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DMBTH_INPUT_SIGNAL;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DMBTH_STUFFING;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DMBTH_PACKET_LENGTH;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DMBTH_MAX_USEFUL_DATA_RATE;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DMBTH_MEASURED_DATA_RATE;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DMBTH_USEFUL_DATA_RATE;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DMBTH_TEST;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DMBTH_STATE;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DMBTH_NETWORK_MODE;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DMBTH_CONTROL;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DMBTH_CONSTELLATION;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DMBTH_CONSTELLATION_H;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DMBTH_CODE_RATE;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DMBTH_CODE_RATE_H;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DMBTH_GUARD_INTERVAL;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DMBTH_TIME_INTERLEAVER;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DMBTH_CHANNEL_BANDWIDTH;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DMBTH_SIG_TIME_STAMP;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DMBTH_MAXIMUM_DELAY;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DMBTH_LOCAL_DELAY;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DMBTH_ADDITIONAL_DELAY;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DMBTH_SPECIAL_SETTINGS;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DMBTH_GI_POWER_BOOST;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DMBTH_LDPC_OUTPUT;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DMBTH_PN_POLARITY;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DMBTH_QAM_CONSTELLATION;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DMBTH_QPSK_CONSTELLATION;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DMBTH_SPECIAL_SINGLE_CARRIER;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DMBTH_CONTROL_FRAMES;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DMBTH_TEST_TS_PACKET;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DMBTH_PID_TEST_PACKED;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DMBTH_PID;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DMBTH_PAYLOAD_TEST;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DMBTH_PRBS;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DMBT_LOCK;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DMBT_SOUR;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DMBT_INP;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DMBT_STUF;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DMBT_TEST;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DMBT_PACKET_LENGTH;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DMBT_MAX_USEFUL_DATA_RATE;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DMBT_MEASURED_DATA_RATE;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DMBT_USEFUL_DATA_RATE;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DMBT_NETW;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DMBT_DEL_ADD;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DMBT_CONT;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DMBT_CHAN_BAND;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DMBT_CONS;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DMBT_RATE;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DMBT_GUAR;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DMBT_TIME;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DMBT_SIGN;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DMBT_DEL_MAX;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DMBT_DEL_LOC;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DMBT_SETT;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DMBT_SYNC;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DMBT_RAND;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DMBT_RAND_REST;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DMBT_BYTE;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DMBT_TPS;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DMBT_GIP;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DMBT_FRAM;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DMBT_TSP;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DMBT_PIDT;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DMBT_PID;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DMBT_PAYL;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DMBT_PRBS;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DTMB_LOCK;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DTMB_CODING_SOURCE;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DTMB_CODING_INPUT;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DTMB_CODING_STUFFING;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DTMB_CODING_PACKED_LENGTH;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DTMB_CODING_MAX_USEFUL_DATA_RATE;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DTMB_CODING_MEAS_DATA_RATE;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DTMB_CODING_USEFUL_DATA_RATE;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DTMB_CODER_TEST_SIGNAL;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DTMB_CODING_NETWORK_MODE;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DTMB_CODING_SINGLE_CARRIER_MODE;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DTMB_CODING_DUAL_PILOT_TONE;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DTMB_CODING_CONTROL_FRAMES;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DTMB_CODING_CONSTELLATION;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DTMB_CODING_CODE_RATE;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DTMB_CODING_GUARD_INTERVAL;
extern RsAttrProperties g_RSSFU_ATTR_DTMB_CODING_GUARD_INTERVAL_PN;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DTMB_SPECIAL_GUARD_INTERVAL_PN;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DTMB_CODING_TIME_INTERLEAVER;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DTMB_CODING_CHANNEL_BANDWIDTH;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DTMB_CODING_LOCAL_MAX_DELAY;
extern RsAttrProperties g_RSSFU_ATTR_DTMB_SFN_DISTRIBUTION_DELAY;
extern RsAttrProperties g_RSSFU_ATTR_DTMB_SFN_RF_DELAY;
extern RsAttrProperties g_RSSFU_ATTR_DTMB_SFN_DELAY_OFFSET;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DTMB_CODING_LOCAL_DELAY;
extern RsAttrProperties g_RSSFU_ATTR_DTMB_SFN_TX_ADDRESS;
extern RsAttrProperties g_RSSFU_ATTR_DTMB_SFN_DELAY_ADJUST;
extern RsAttrProperties g_RSSFU_ATTR_DTMB_SFN_FREQUENCY_OFFSET;
extern RsAttrProperties g_RSSFU_ATTR_DTMB_SFN_TX_POWER;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DTMB_SPECIAL_SETTINGS;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DTMB_SPECIAL_GI_POWER_BOOST;
extern RsAttrProperties g_RSSFU_ATTR_DTMB_SPECIAL_CO_CHANNEL_INTERFERER;
extern RsAttrProperties g_RSSFU_ATTR_DTMB_SPECIAL_SI_POWER_NORMALIZATION;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DTMB_SETTINGS_TEST_TS_PACKET;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DTMB_SETTINGS_PID_TEST_PACKET;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DTMB_SETTINGS_PID;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DTMB_SETTINGS_PAYLOAD_TEST_STUFF;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DTMB_SETTINGS_PRBS;
extern RsAttrProperties g_RSSFU_ATTR_CMMB_INPUT_SIGNAL_SOURCE;
extern RsAttrProperties g_RSSFU_ATTR_CMMB_INPUT_SIGNAL_INPUT;
extern RsAttrProperties g_RSSFU_ATTR_CMMB_INPUT_SIGNAL_STUFFING;
extern RsAttrProperties g_RSSFU_ATTR_READ_CMMB_MAX_USEFUL_DATA_RATE;
extern RsAttrProperties g_RSSFU_ATTR_READ_CMMB_MEASURED_DATA_RATE;
extern RsAttrProperties g_RSSFU_ATTR_CMMB_INPUT_SIGNAL_NUMBER_OF_SERVICES;
extern RsAttrProperties g_RSSFU_ATTR_CMMB_INPUT_SIGNAL_TEST_SIGNAL;
extern RsAttrProperties g_RSSFU_ATTR_CMMB_CODING_CONTROL;
extern RsAttrProperties g_RSSFU_ATTR_CMMB_CODING_BANDWIDTH;
extern RsAttrProperties g_RSSFU_ATTR_CMMB_CODING_OFDM_MODE;
extern RsAttrProperties g_RSSFU_ATTR_CMMB_SPECIAL_SETTINGS_STATE;
extern RsAttrProperties g_RSSFU_ATTR_CMMB_SPECIAL_REED_SOLOMON;
extern RsAttrProperties g_RSSFU_ATTR_CMMB_SPECIAL_BYTE_INTERLEAVER;
extern RsAttrProperties g_RSSFU_ATTR_CMMB_SPECIAL_BIT_INTERLEAVER;
extern RsAttrProperties g_RSSFU_ATTR_CMMB_SPECIAL_SCRAMBLING;
extern RsAttrProperties g_RSSFU_ATTR_CMMB_SETTINGS_TRANSMITTER_ID;
extern RsAttrProperties g_RSSFU_ATTR_CMMB_SETTINGS_AREA_ID;
extern RsAttrProperties g_RSSFU_ATTR_CMMB_SETTINGS_PAYLOAD_TEST_SIGNAL;
extern RsAttrProperties g_RSSFU_ATTR_CMMB_SETTINGS_PRBS;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_INPUT_SIGNAL_T2_MI_INTERFACE_STATE;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_INPUT_SIGNAL_T2_MI_INTERFACE_INPUT;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_INPUT_SIGNAL_T2_MI_SOURCE;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_INPUT_SIGNAL_T2_MI_PID;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_INPUT_SIGNAL_T2_MI_SID;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_INPUT_SIGNAL_NUMBER_OF_PLP;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_INPUT_SIGNAL_INPUT_FORMAT;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_INPUT_SIGNAL_SOURCE;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_INPUT_SIGNAL_INPUT;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_INPUT_SIGNAL_STUFFING;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_INPUT_SIGNAL_MAX_USEF_DR;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_INPUT_SIGNAL_MEAS_DR;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_INPUT_SIGNAL_USEFUL_DR;
extern RsAttrProperties g_RSSFU_ATTR_READ_DVBS2_CODING_REQUIRED_SOURCE_DATA_RATE;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_INPUT_SIGNAL_TEST_SIGNAL;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_INPUT_SIGNAL_RESET_T2_MI_ANALYZER_LOG_FILE;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_INPUT_SIGNAL_T2_MI_ANALYZER;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_MODE_STREAM_ADAPT_PLP_ID;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_MODE_STREAM_ADAPT_PLP_GROUP_ID;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_MODE_STREAM_ADAPT_PLP_TYPE;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_MODE_STREAM_ADAPT_BB_MODE;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_MODE_STREAM_ADAPT_ISSY;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_MODE_STREAM_ADAPT_NULL_PACKET_DEL;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_MODE_STREAM_ADAPT_IN_BAND_SIGNAL;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_MODE_STREAM_ADAPT_IN_BAND_SIGNAL_A;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_MODE_STREAM_ADAPT_IN_BAND_SIGNAL_B;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_MODE_STREAM_ADAPT_OTHER_IN_BAND_PLP;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_MODE_STREAM_ADAPT_CM_TYPE;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_BICM_FEC_FRAME;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_BICM_CODE_RATE;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_BICM_CONSTELL;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_BICM_CONSTELL_ROTATION;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_BICM_TIME_INTERL_TYPE;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_BICM_FRAME_INT_I_JUMP;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_BICM_TIME_INTERL_LENGTH;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_BICM_FEC_BLOCKS_PER_IF;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_BICM_FEC_MAX_BLOCKS_PER_IF;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_FRAMING_CHANNEL_BANDWIDTH;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_FRAMING_USED_BANDWIDTH;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_FRAMING_BANDWIDTH_VARIATION;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_FRAMING_FFT_SIZE;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_FRAMING_GUARD_INTERVAL;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_FRAMING_PILOT_PATTERN;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_FRAMING_T2_FRAMES_PER_SUPER_FRAME;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_FRAMING_OFDM_SYMBOLS_PER_T2_FRAME;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_FRAMING_DATA_SYMBOLS_PER_T2_FRAME;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_FRAMING_SUBSLICES_PER_T2_FRAME;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_T2_SYSTEM_NETWORK_MODE;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_T2_SYSTEM_PROFILE_MODE;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_T2_SYSTEM_TRANSMISSION_SYSTEM;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_T2_SYSTEM_MISO_GROUP_MODE;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_T2_SYSTEM_MISO_GROUP;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_T2_SYSTEM_PEAK_TO_AVRAGE_POWER_RATIO;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_T2_SYSTEM_FUTURE_EXTENSION_FRAMES;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_T2_SYSTEM_FUTURE_EXTENSION_FRAMES_LENGTH;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_T2_SYSTEM_FUTURE_EXTENSION_FRAMES_TYPE;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_T2_SYSTEM_FUTURE_EXTENSION_FRAMES_INTERVAL;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_T2_SYSTEM_FUTURE_EXTENSION_FRAMES_PAYLOAD;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_T2_SYSTEM_TIME_FREQUENCY_SLICING;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_T2_SYSTEM_L1_POST_MODULATION;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_T2_SYSTEM_L1_REPETITION;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_T2_SYSTEM_L1_POST_EXTENSION;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_T2_SYSTEM_L1_POST_SCRAMBLED;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_T2_SYSTEM_T2_BASE_LITE;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_T2_SYSTEM_NUM_AUX_STREAMS;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_T2_SYSTEM_L1_RF_SIGNALLING;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_T2_SYSTEM_L1_SIGNALLING_FREQUENCY;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_T2_SYSTEM_CELL_ID;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_T2_SYSTEM_NETWORK_ID;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_T2_SYSTEM_ID;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_T2_SYSTEM_TX_ID_AVAILABILITY;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_T2_SYSTEM_TRANSMITTER_ID_STATE;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_T2_SYSTEM_L1_T2_VERSION;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_SFN_PROCESS_DELAY;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_SFN_STATIC_DELAY;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_SFN_DYNAMIC_DELAY;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_SFN_TOTAL_DELAY;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_SFN_MAX_DEVIATION_TIME;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_SFN_MUTE_FIRST_P1_OF_SUPER_FRAME;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_SFN_TIMESTAMP_MODE;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_SFN_TIMESTAMP_MODE_UTC_DATE;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_SFN_UPDATE_TIMESTAMP;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_SFN_TIMESTAMP_MODE_UTC_TIME;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_SFN_TIMESTAMP_MODE_OFFSET;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_SFN_TIMESTAMP_MODE_SECONDS_SINCE_2000;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_SETTINGS_TEST_TS_PACKET;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_SETTINGS_PID_TEST_PACKET;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_SETTINGS_PID;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_SETTINGS_PAYLOAD_TEST_TS_PACKET;
extern RsAttrProperties g_RSSFU_ATTR_DVBT2_SETTINGS_PRBS;
extern RsAttrProperties g_RSSFU_ATTR_DVBC2_INPUT_SIGNAL_NUMBER_OF_PLP;
extern RsAttrProperties g_RSSFU_ATTR_DVBC2_INPUT_SIGNAL_INPUT_FORMAT;
extern RsAttrProperties g_RSSFU_ATTR_DVBC2_INPUT_SIGNAL_SOURCE;
extern RsAttrProperties g_RSSFU_ATTR_DVBC2_INPUT_SIGNAL_INPUT;
extern RsAttrProperties g_RSSFU_ATTR_READ_DVBC2_INPUT_SIGNAL_MAX_DR;
extern RsAttrProperties g_RSSFU_ATTR_READ_DVBC2_INPUT_SIGNAL_MEAS_DR;
extern RsAttrProperties g_RSSFU_ATTR_READ_DVBC2_INPUT_SIGNAL_USEFUL_DR;
extern RsAttrProperties g_RSSFU_ATTR_DVBC2_INPUT_SIGNAL_TEST_SIGNAL;
extern RsAttrProperties g_RSSFU_ATTR_DVBC2_MODE_STREAM_ADAPT_PLP_ID;
extern RsAttrProperties g_RSSFU_ATTR_DVBC2_MODE_STREAM_ADAPT_PLP_TYPE;
extern RsAttrProperties g_RSSFU_ATTR_DVBC2_MODE_STREAM_ADAPT_BB_MODE;
extern RsAttrProperties g_RSSFU_ATTR_DVBC2_MODE_STREAM_ADAPT_ISSY;
extern RsAttrProperties g_RSSFU_ATTR_DVBC2_MODE_STREAM_ADAPT_NULL_PACKET_DEL;
extern RsAttrProperties g_RSSFU_ATTR_DVBC2_MODE_STREAM_ADAPT_GROUP;
extern RsAttrProperties g_RSSFU_ATTR_DVBC2_BICM_FEC_FRAME;
extern RsAttrProperties g_RSSFU_ATTR_DVBC2_BICM_CODE_RATE;
extern RsAttrProperties g_RSSFU_ATTR_DVBC2_BICM_CONSTELL;
extern RsAttrProperties g_RSSFU_ATTR_DVBC2_BICM_XFEC_FRAME_LENGTH;
extern RsAttrProperties g_RSSFU_ATTR_DVBC2_BICM_MAP_TO_DSLICE;
extern RsAttrProperties g_RSSFU_ATTR_DVBC2_DATA_SLICE_MIN_MAX_REL;
extern RsAttrProperties g_RSSFU_ATTR_DVBC2_DATA_SLICE_MIN_MAX_ABS;
extern RsAttrProperties g_RSSFU_ATTR_DVBC2_DATA_SLICE_NUMBER_OF_DATA_SLICES;
extern RsAttrProperties g_RSSFU_ATTR_DVBC2_DATA_SLICE_DSLICE_ID;
extern RsAttrProperties g_RSSFU_ATTR_DVBC2_DATA_SLICE_DSLICE_TI_DEPTH;
extern RsAttrProperties g_RSSFU_ATTR_DVBC2_DATA_SLICE_DSLICE_TYPE;
extern RsAttrProperties g_RSSFU_ATTR_DVBC2_DATA_SLICE_FEC_HEADER_TYPE;
extern RsAttrProperties g_RSSFU_ATTR_DVBC2_DATA_SLICE_NUM_XFEC_FRAMES;
extern RsAttrProperties g_RSSFU_ATTR_DVBC2_DATA_SLICE_DSLICE_NUM_PLP;
extern RsAttrProperties g_RSSFU_ATTR_DVBC2_DATA_SLICE_OFFSET_LEFT;
extern RsAttrProperties g_RSSFU_ATTR_DVBC2_DATA_SLICE_TUNE_POS_REL;
extern RsAttrProperties g_RSSFU_ATTR_DVBC2_DATA_SLICE_OFFSET_RIGHT;
extern RsAttrProperties g_RSSFU_ATTR_DVBC2_DATA_SLICE_START_REL;
extern RsAttrProperties g_RSSFU_ATTR_DVBC2_DATA_SLICE_STOP_REL;
extern RsAttrProperties g_RSSFU_ATTR_DVBC2_DATA_SLICE_WIDTH;
extern RsAttrProperties g_RSSFU_ATTR_DVBC2_DATA_SLICE_START_ABS;
extern RsAttrProperties g_RSSFU_ATTR_DVBC2_DATA_SLICE_TUNE_POS_ABS;
extern RsAttrProperties g_RSSFU_ATTR_DVBC2_DATA_SLICE_STOP_ABS;
extern RsAttrProperties g_RSSFU_ATTR_DVBC2_DATA_SLICE_TUNE_FREQ;
extern RsAttrProperties g_RSSFU_ATTR_DVBC2_DATA_SLICE_START_FREQ;
extern RsAttrProperties g_RSSFU_ATTR_DVBC2_DATA_SLICE_STOP_FREQ;
extern RsAttrProperties g_RSSFU_ATTR_DVBC2_NOTCH_NUMBER_OF_NOTCHES;
extern RsAttrProperties g_RSSFU_ATTR_DVBC2_NOTCH_START_REL;
extern RsAttrProperties g_RSSFU_ATTR_DVBC2_NOTCH_STOP_REL;
extern RsAttrProperties g_RSSFU_ATTR_DVBC2_NOTCH_START_ABS;
extern RsAttrProperties g_RSSFU_ATTR_DVBC2_NOTCH_STOP_ABS;
extern RsAttrProperties g_RSSFU_ATTR_DVBC2_NOTCH_START_FREQ;
extern RsAttrProperties g_RSSFU_ATTR_DVBC2_NOTCH_STOP_FREQ;
extern RsAttrProperties g_RSSFU_ATTR_DVBC2_NOTCH_TYPE;
extern RsAttrProperties g_RSSFU_ATTR_DVBC2_NOTCH_WIDTH;
extern RsAttrProperties g_RSSFU_ATTR_DVBC2_FRAMING_CHANNEL_BANDWIDTH;
extern RsAttrProperties g_RSSFU_ATTR_DVBC2_FRAMING_C2_BANDWIDTH;
extern RsAttrProperties g_RSSFU_ATTR_DVBC2_FRAMING_USED_BANDWIDTH;
extern RsAttrProperties g_RSSFU_ATTR_DVBC2_FRAMING_GUARD_INTERVAL;
extern RsAttrProperties g_RSSFU_ATTR_DVBC2_FRAMING_BASEBAND_FILTER;
extern RsAttrProperties g_RSSFU_ATTR_DVBC2_FRAMING_DX;
extern RsAttrProperties g_RSSFU_ATTR_DVBC2_FRAMING_START_FREQUENCY;
extern RsAttrProperties g_RSSFU_ATTR_DVBC2_FRAMING_CALC_CENTER_FREQUENCY;
extern RsAttrProperties g_RSSFU_ATTR_DVBC2_FRAMING_ADJUST_RF_FREQUENCY;
extern RsAttrProperties g_RSSFU_ATTR_DVBC2_FRAMING_CARRIER_SPACING;
extern RsAttrProperties g_RSSFU_ATTR_DVBC2_FRAMING_NUMBER_OF_DATA_SYMBOLS_PER_C2_FRAME;
extern RsAttrProperties g_RSSFU_ATTR_DVBC2_FRAMING_NUMBER_OF_PREAMBLE_SYMBOLS;
extern RsAttrProperties g_RSSFU_ATTR_DVBC2_C2_SYSTEM_NETWORK_ID;
extern RsAttrProperties g_RSSFU_ATTR_DVBC2_C2_SYSTEM_ID;
extern RsAttrProperties g_RSSFU_ATTR_DVBC2_C2_SYSTEM_L1_TIME_INTERLEAVER;
extern RsAttrProperties g_RSSFU_ATTR_DVBC2_C2_SYSTEM_RESERVED_TONES;
extern RsAttrProperties g_RSSFU_ATTR_DVBC2_SETTINGS_TEST_TS_PACKET;
extern RsAttrProperties g_RSSFU_ATTR_DVBC2_SETTINGS_PID_TEST_PACKET;
extern RsAttrProperties g_RSSFU_ATTR_DVBC2_SETTINGS_PID;
extern RsAttrProperties g_RSSFU_ATTR_DVBC2_SETTINGS_PAYLOAD_TEST_TS_PACKET;
extern RsAttrProperties g_RSSFU_ATTR_DVBC2_SETTINGS_PRBS;
extern RsAttrProperties g_RSSFU_ATTR_ATSCMH_INPUT_SIGNAL_SOURCE;
extern RsAttrProperties g_RSSFU_ATTR_ATSCMH_INPUT_SIGNAL_INPUT;
extern RsAttrProperties g_RSSFU_ATTR_ATSCMH_INPUT_SIGNAL_STUFFING;
extern RsAttrProperties g_RSSFU_ATTR_ATSCMH_INPUT_SIGNAL_TEST_SIGNAL;
extern RsAttrProperties g_RSSFU_ATTR_READ_ATSCMH_PACKET_LENGTH;
extern RsAttrProperties g_RSSFU_ATTR_READ_ATSCMH_MAX_USEFUL_DATA_RATE;
extern RsAttrProperties g_RSSFU_ATTR_READ_ATSCMH_MEASURED_DATA_RATE;
extern RsAttrProperties g_RSSFU_ATTR_READ_ATSCMH_USEFUL_DATA_RATE;
extern RsAttrProperties g_RSSFU_ATTR_ATSCMH_CODING_SYMBOL_RATE;
extern RsAttrProperties g_RSSFU_ATTR_ATSCMH_CODING_CONSTELLATION;
extern RsAttrProperties g_RSSFU_ATTR_ATSCMH_CODING_ROLL_OFF;
extern RsAttrProperties g_RSSFU_ATTR_ATSCMH_CODING_MH_STATE;
extern RsAttrProperties g_RSSFU_ATTR_ATSCMH_SPECIAL_SETTINGS;
extern RsAttrProperties g_RSSFU_ATTR_ATSCMH_SPECIAL_RANDOMIZER;
extern RsAttrProperties g_RSSFU_ATTR_ATSCMH_SPECIAL_REED_SOLOMON;
extern RsAttrProperties g_RSSFU_ATTR_ATSCMH_SPECIAL_INTERLEAVER;
extern RsAttrProperties g_RSSFU_ATTR_ATSCMH_SPECIAL_SFN_INITIALIZATION;
extern RsAttrProperties g_RSSFU_ATTR_ATSCMH_SPECIAL_TRELLIS_INITIALIZATION;
extern RsAttrProperties g_RSSFU_ATTR_ATSCMH_SPECIAL_PILOT;
extern RsAttrProperties g_RSSFU_ATTR_ATSCMH_SPECIAL_PILOT_VALUE;
extern RsAttrProperties g_RSSFU_ATTR_ATSCMH_SETTINGS_MHE_PID;
extern RsAttrProperties g_RSSFU_ATTR_ATSCMH_SETTINGS_RF_WATERMARK;
extern RsAttrProperties g_RSSFU_ATTR_ATSCMH_SETTINGS_TX_ADDRESS;
extern RsAttrProperties g_RSSFU_ATTR_ATSCMH_SETTINGS_NETWORK_ID;
extern RsAttrProperties g_RSSFU_ATTR_ATSCMH_SETTINGS_BURY_RATIO;
extern RsAttrProperties g_RSSFU_ATTR_ATSCMH_SETTINGS_MTXID_TRANSMISSION;
extern RsAttrProperties g_RSSFU_ATTR_ATSCMH_SETTINGS_TRANSMITTER_ID;
extern RsAttrProperties g_RSSFU_ATTR_ATSCMH_SETTINGS_MARKET_ID;
extern RsAttrProperties g_RSSFU_ATTR_ATSCMH_SETTINGS_TEST_TS_PACKET;
extern RsAttrProperties g_RSSFU_ATTR_ATSCMH_SETTINGS_PID_TEST_PACKET;
extern RsAttrProperties g_RSSFU_ATTR_ATSCMH_SETTINGS_PID;
extern RsAttrProperties g_RSSFU_ATTR_ATSCMH_SETTINGS_PAYLOAD_TEST_STUFF;
extern RsAttrProperties g_RSSFU_ATTR_ATSCMH_SETTINGS_PRBS;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBS2_LOCK;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBS2_SOUR;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBS2_INP;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBS2_STUF;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBS2_TEST;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBS2_ACM_MODE;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBS2_PACKET_LENGTH;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBS2_MAX_USEFUL_DATA_RATE;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBS2_MEASURED_DATA_RATE;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBS2_USEFUL_DATA_RATE;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBS2_REQ_DATA_RATE;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBS2_SYMB;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBS2_CONS;
extern RsAttrProperties g_RSSFU_ATTR_DVBS2_CODING_FECFRAME;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBS2_PIL;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBS2_ROLL;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBS2_RATE;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBS2_AMC;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBS2_SETT;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBS2_SCR_SEQ;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBS2_CWM;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBS2_ERR_HEAD;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBS2_ERR_PAYL;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBS2_ERR_BCH;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBS2_ERR_LDPC;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBS2_PHAS;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBS2_PHAS_SHAP;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBS2_PHAS_MAGN;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBS2_TSP;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBS2_PIDT;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBS2_PID;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBS2_PAYL;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DVBS2_PRBS;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DIR_LOCK;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DIR_PAYL;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DIR_PID;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DIR_PIDT;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DIR_SOUR;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DIR_INP;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DIR_STUF;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DIR_PACKET_LENGTH;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DIR_REQ_SOURCE_DATA_RATE;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DIR_MAX_USEFUL_DATA_RATE;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DIR_MEASURED_DATA_RATE;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DIR_USEFUL_DATA_RATE;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DIR_TEST;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DIR_SYMB;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DIR_CONS;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DIR_ROLL;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DIR_RATE;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DIR_SPEC_STAT;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DIR_INSERT_ERR_CONV_ENC;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DIR_CW_MODE;
extern RsAttrProperties g_RSSFU_ATTR_DIRECTV_CODING_PHASE_NOISE;
extern RsAttrProperties g_RSSFU_ATTR_DIRECTV_CODING_PHASE_NOISE_SHAPE;
extern RsAttrProperties g_RSSFU_ATTR_DIRECTV_CODING_PHASE_NOISE_MAGNITUDE;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DIR_TSP;
extern RsAttrProperties g_RSSFU_ATTR_IQC_DIR_PRBS;
extern RsAttrProperties g_RSSFU_ATTR_IQC_MFLO_LOCK;
extern RsAttrProperties g_RSSFU_ATTR_IQC_MFLO_NETWORK_DELAY;
extern RsAttrProperties g_RSSFU_ATTR_IQC_MFLO_TRANSMITTER_DELAY;
extern RsAttrProperties g_RSSFU_ATTR_IQC_MFLO_SINUSOID_TEST;
extern RsAttrProperties g_RSSFU_ATTR_IQC_MFLO_SINUSOID_TEST_FREQ;
extern RsAttrProperties g_RSSFU_ATTR_IQC_MFLO_GAIN;
extern RsAttrProperties g_RSSFU_ATTR_IQC_MFLO_LOCAL_AREA_CONTENT_PID;
extern RsAttrProperties g_RSSFU_ATTR_IQC_MFLO_WIDE_AREA_CONTENT_PID;
extern RsAttrProperties g_RSSFU_ATTR_IQC_MFLO_LOCAL_AREA_LENGTH;
extern RsAttrProperties g_RSSFU_ATTR_IQC_MFLO_INFRASTRUCTURE_ID;
extern RsAttrProperties g_RSSFU_ATTR_IQC_MFLO_LOCAL_TIME_OFFSET;
extern RsAttrProperties g_RSSFU_ATTR_IQC_MFLO_DAYLIGHT_SAV_TIME_IND;
extern RsAttrProperties g_RSSFU_ATTR_IQC_MFLO_SOURCE;
extern RsAttrProperties g_RSSFU_ATTR_IQC_MFLO_INPUT;
extern RsAttrProperties g_RSSFU_ATTR_READ_MEDIAFLO_INPUT_SIGNAL_MEAS_DATA_RATE;
extern RsAttrProperties g_RSSFU_ATTR_READ_MEDIAFLO_INPUT_SIGNAL_WIDE_CONTENT_DATA_RATE;
extern RsAttrProperties g_RSSFU_ATTR_READ_MEDIAFLO_INPUT_SIGNAL_WIDE_CONTROL_CH_DATA_RATE;
extern RsAttrProperties g_RSSFU_ATTR_READ_MEDIAFLO_INPUT_SIGNAL_WIDE_OIS_DATA_RATE;
extern RsAttrProperties g_RSSFU_ATTR_READ_MEDIAFLO_INPUT_SIGNAL_LOCAL_CONTENT_DATA_RATE;
extern RsAttrProperties g_RSSFU_ATTR_READ_MEDIAFLO_INPUT_SIGNAL_LOCAL_CONTROL_CH_DATA_RATE;
extern RsAttrProperties g_RSSFU_ATTR_READ_MEDIAFLO_INPUT_SIGNAL_LOCAL_OIS_DATA_RATE;
extern RsAttrProperties g_RSSFU_ATTR_READ_MEDIAFLO_STATUS_SSF_ARRIVAL_TIME;
extern RsAttrProperties g_RSSFU_ATTR_READ_MEDIAFLO_STATUS_1PPS_TDM1_ERROR;
extern RsAttrProperties g_RSSFU_ATTR_READ_MEDIAFLO_STATUS_OUT_OF_FRAME_COUNT;
extern RsAttrProperties g_RSSFU_ATTR_READ_MEDIAFLO_STATUS_SEQUENCE_ERROR_COUNT;
extern RsAttrProperties g_RSSFU_ATTR_READ_MEDIAFLO_STATUS_SCHEDULING_ERROR_COUNT;
extern RsAttrProperties g_RSSFU_ATTR_MEDIAFLO_CODING_CHANNEL_BANDWIDTH;
extern RsAttrProperties g_RSSFU_ATTR_MEDIAFLO_CODING_IFFT_MODE;
extern RsAttrProperties g_RSSFU_ATTR_MEDIAFLO_CODING_SLOT_TO_INTERLACE_MAPPING;
extern RsAttrProperties g_RSSFU_ATTR_MEDIAFLO_CODING_CYCLIC_PREFIX_LENGTH;
extern RsAttrProperties g_RSSFU_ATTR_IQC_MFLO_WIDE_AREA_ID_VALUE;
extern RsAttrProperties g_RSSFU_ATTR_IQC_MFLO_LOCAL_AREA_ID_VALUE;
extern RsAttrProperties g_RSSFU_ATTR_MEDIAFLO_CODING_WIDE_MAC_SYMBOLS_FRAME;
extern RsAttrProperties g_RSSFU_ATTR_MEDIAFLO_CODING_LOCAL_MAC_SYMBOLS_FRAME;
extern RsAttrProperties g_RSSFU_ATTR_MEDIAFLO_CODING_NETWORK_GEOGRAPHY_DELAY;
extern RsAttrProperties g_RSSFU_ATTR_IQC_MFLO_SPECIAL_SETTING;
extern RsAttrProperties g_RSSFU_ATTR_IQC_MFLO_TDM1_NULL;
extern RsAttrProperties g_RSSFU_ATTR_MEDIAFLO_SETTINGS_WIDE_PID_CONTENT;
extern RsAttrProperties g_RSSFU_ATTR_MEDIAFLO_SETTINGS_WIDE_PID_CONTROL_CHANNEL;
extern RsAttrProperties g_RSSFU_ATTR_MEDIAFLO_SETTINGS_WIDE_PID_OIS;
extern RsAttrProperties g_RSSFU_ATTR_MEDIAFLO_SETTINGS_LOCAL_PID_CONTENT;
extern RsAttrProperties g_RSSFU_ATTR_MEDIAFLO_SETTINGS_LOCAL_PID_CONTROL_CHANNEL;
extern RsAttrProperties g_RSSFU_ATTR_MEDIAFLO_SETTINGS_LOCAL_PID_OIS;
extern RsAttrProperties g_RSSFU_ATTR_MEDIAFLO_SETTINGS_LOCAL_OIS_INSERTION;
extern RsAttrProperties g_RSSFU_ATTR_MEDIAFLO_SETTINGS_INFRASTRUCTURE_ID;
extern RsAttrProperties g_RSSFU_ATTR_MEDIAFLO_SETTINGS_LOCAL_TIME_OFFSET;
extern RsAttrProperties g_RSSFU_ATTR_MEDIAFLO_SETTINGS_DAYLIGHT_SAVINGS_TIME_INDICATOR;
extern RsAttrProperties g_RSSFU_ATTR_MEDIAFLO_SETTINGS_POSITION_PILOT_SYMBOLS;
extern RsAttrProperties g_RSSFU_ATTR_MEDIAFLO_SETTINGS_TRANSMITTER_ID;
extern RsAttrProperties g_RSSFU_ATTR_MEDIAFLO_SETTINGS_NUMBER_OF_TRANSMITTERS;
extern RsAttrProperties g_RSSFU_ATTR_MEDIAFLO_SETTINGS_TX_POSITION_ENABLE;
extern RsAttrProperties g_RSSFU_ATTR_MEDIAFLO_SETTINGS_TX_POSITION;
extern RsAttrProperties g_RSSFU_ATTR_MEDIAFLO_SETTINGS_TX_OFFSET_ENABLE;
extern RsAttrProperties g_RSSFU_ATTR_MEDIAFLO_SETTINGS_TX_OFFSET;
extern RsAttrProperties g_RSSFU_ATTR_MEDIAFLO_SETTINGS_TX_LATITUDE;
extern RsAttrProperties g_RSSFU_ATTR_MEDIAFLO_SETTINGS_TX_LONGITUDE;
extern RsAttrProperties g_RSSFU_ATTR_MEDIAFLO_SETTINGS_TX_ALTITUDE;
extern RsAttrProperties g_RSSFU_ATTR_IQC_TDMB_LOCK;
extern RsAttrProperties g_RSSFU_ATTR_TDMB_SOURCE;
extern RsAttrProperties g_RSSFU_ATTR_TDMB_ETI_INPUT;
extern RsAttrProperties g_RSSFU_ATTR_TDMB_NUMBER_OF_STREAMS;
extern RsAttrProperties g_RSSFU_ATTR_TDMB_MODE_IDENTITY;
extern RsAttrProperties g_RSSFU_ATTR_TDMB_SCID;
extern RsAttrProperties g_RSSFU_ATTR_TDMB_PROT_PROFILE;
extern RsAttrProperties g_RSSFU_ATTR_TDMB_PROT_LEVEL;
extern RsAttrProperties g_RSSFU_ATTR_TDMB_DATA_RATE;
extern RsAttrProperties g_RSSFU_ATTR_TDMB_SPECIAL_SETTINGS;
extern RsAttrProperties g_RSSFU_ATTR_TDMB_TRANSMISSION_MODE;
extern RsAttrProperties g_RSSFU_ATTR_TDMB_SELECT_TRANSMISSION_MODE;
extern RsAttrProperties g_RSSFU_ATTR_TDMB_PRBS_TESTSIGNAL;
extern RsAttrProperties g_RSSFU_ATTR_TDMB_TESTSIGNAL_SCID;
extern RsAttrProperties g_RSSFU_ATTR_TDMB_TII;
extern RsAttrProperties g_RSSFU_ATTR_TDMB_TII_MAIN_SUB_ID;
extern RsAttrProperties g_RSSFU_ATTR_TDMB_NETWORK;
extern RsAttrProperties g_RSSFU_ATTR_TDMB_PRBS;
extern RsAttrProperties g_RSSFU_ATTR_TDMB_TII_MAIN_ID;
extern RsAttrProperties g_RSSFU_ATTR_TDMB_TII_SUB_ID;
extern RsAttrProperties g_RSSFU_ATTR_ATV_FREQ_SOUND_MONO;
extern RsAttrProperties g_RSSFU_ATTR_ATV_LEVEL_SOUND_MONO;
extern RsAttrProperties g_RSSFU_ATTR_ATV_FREQ_SOUND_LEFT;
extern RsAttrProperties g_RSSFU_ATTR_ATV_FREQ_SOUND_RIGHT;
extern RsAttrProperties g_RSSFU_ATTR_ATV_LEVEL_SOUND_LEFT;
extern RsAttrProperties g_RSSFU_ATTR_ATV_LEVEL_SOUND_RIGHT;
extern RsAttrProperties g_RSSFU_ATTR_ATV_FREQ_SOUND_CH1;
extern RsAttrProperties g_RSSFU_ATTR_ATV_FREQ_SOUND_CH2;
extern RsAttrProperties g_RSSFU_ATTR_ATV_LEVEL_SOUND_CH1;
extern RsAttrProperties g_RSSFU_ATTR_ATV_LEVEL_SOUND_CH2;
extern RsAttrProperties g_RSSFU_ATTR_ATV_AUDIO_AF_1;
extern RsAttrProperties g_RSSFU_ATTR_ATV_AUDIO_AF_2;
extern RsAttrProperties g_RSSFU_ATTR_ATV_AUDIO_INPUT_SIGNAL;
extern RsAttrProperties g_RSSFU_ATTR_ATV_AUDIO_IMPEDANCE_SIGNAL_SOURCE;
extern RsAttrProperties g_RSSFU_ATTR_ATV_SOUND_MODUL_AUEX_LEVEL;
extern RsAttrProperties g_RSSFU_ATTR_ANALOG_TV_AUDIO_LOAD_AUDIO_PLAYER_FILE;
extern RsAttrProperties g_RSSFU_ATTR_ATV_VIDEO_INPUT_SIGNAL;
extern RsAttrProperties g_RSSFU_ATTR_ATV_VISION_PICTURE;
extern RsAttrProperties g_RSSFU_ATTR_ATV_LOAD_VIDEO_LIB;
extern RsAttrProperties g_RSSFU_ATTR_ATV_SOUND_MODUL_MODE;
extern RsAttrProperties g_RSSFU_ATTR_ATV_SOUND_MODUL_FREQ_DEV_SUBCAR1;
extern RsAttrProperties g_RSSFU_ATTR_ATV_SOUND_MODUL_FREQ_DEV_SUBCAR2;
extern RsAttrProperties g_RSSFU_ATTR_ATV_SOUND_MODUL_FREQ_DEV_PILOT;
extern RsAttrProperties g_RSSFU_ATTR_ATV_SOUND_MODUL_FREQ_DEV_MONO;
extern RsAttrProperties g_RSSFU_ATTR_ATV_SOUND_MODUL_NICAM_SIGNAL;
extern RsAttrProperties g_RSSFU_ATTR_ATV_SPECIAL_SETTINGS;
extern RsAttrProperties g_RSSFU_ATTR_ATV_SPECIAL_PREEMPHASIS;
extern RsAttrProperties g_RSSFU_ATTR_ATV_SPECIAL_PILOT;
extern RsAttrProperties g_RSSFU_ATTR_ATV_SPECIAL_NOM_FREQ_DEV_PILOT;
extern RsAttrProperties g_RSSFU_ATTR_ATV_SPECIAL_NOM_FREQ_DEV_MONO;
extern RsAttrProperties g_RSSFU_ATTR_ATV_SPECIAL_NOM_FREQ_DEV_SUBCAR_1;
extern RsAttrProperties g_RSSFU_ATTR_ATV_SPECIAL_NOM_FREQ_DEV_SUBCAR_2;
extern RsAttrProperties g_RSSFU_ATTR_ATV_SPECIAL_SUBCARRIER;
extern RsAttrProperties g_RSSFU_ATTR_ATV_SPECIAL_SUBCARRIER_1;
extern RsAttrProperties g_RSSFU_ATTR_ATV_SPECIAL_SUBCARRIER_2;
extern RsAttrProperties g_RSSFU_ATTR_ATV_SPECIAL_FREQ_SUBCARRIER;
extern RsAttrProperties g_RSSFU_ATTR_ATV_SPECIAL_FREQ_SUBCARRIER_1;
extern RsAttrProperties g_RSSFU_ATTR_ATV_SPECIAL_FREQ_SUBCARRIER_2;
extern RsAttrProperties g_RSSFU_ATTR_ATV_SPECIAL_LEVEL_SUBCARRIER;
extern RsAttrProperties g_RSSFU_ATTR_ATV_SPECIAL_LEVEL_SUBCARRIER_1;
extern RsAttrProperties g_RSSFU_ATTR_ATV_SPECIAL_LEVEL_SUBCARRIER_2;
extern RsAttrProperties g_RSSFU_ATTR_ATV_SPECIAL_VSB_FILTER;
extern RsAttrProperties g_RSSFU_ATTR_ATV_SPECIAL_VSB_CHARACTERISTIC;
extern RsAttrProperties g_RSSFU_ATTR_ATV_SPECIAL_GD_PRECORRECTION;
extern RsAttrProperties g_RSSFU_ATTR_ATV_SPECIAL_RESIDUAL_CARRIER;
extern RsAttrProperties g_RSSFU_ATTR_ATV_SPECIAL_CARRIER;
extern RsAttrProperties g_RSSFU_ATTR_ATV_SPECIAL_VIDEO;
extern RsAttrProperties g_RSSFU_ATTR_ATV_SPECIAL_AM_MODULATION_DEPTH;
extern RsAttrProperties g_RSSFU_ATTR_MODULATOR_IMPAIRMENTS;
extern RsAttrProperties g_RSSFU_ATTR_MODULATOR_I_OFFSET;
extern RsAttrProperties g_RSSFU_ATTR_MODULATOR_Q_OFFSET;
extern RsAttrProperties g_RSSFU_ATTR_MODULATOR_QUADRATURE_ERROR;
extern RsAttrProperties g_RSSFU_ATTR_MODULATOR_AMPLITUDE_IMBALANCE;
extern RsAttrProperties g_RSSFU_ATTR_MOD_GAIN;
extern RsAttrProperties g_RSSFU_ATTR_BB_IMPAIRMENTS;
extern RsAttrProperties g_RSSFU_ATTR_BB_I_OFFSET;
extern RsAttrProperties g_RSSFU_ATTR_BB_Q_OFFSET;
extern RsAttrProperties g_RSSFU_ATTR_BB_QUADRATURE_ERROR;
extern RsAttrProperties g_RSSFU_ATTR_BB_AMPLITUDE_IMBALANCE;
extern RsAttrProperties g_RSSFU_ATTR_BB_OPTIMIZE;
extern RsAttrProperties g_RSSFU_ATTR_BB_OPTIMIZATION_MODE;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_SOURCE_LEFT;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_SOURCE_RIGHT;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_INPUT_SOURCE_BTC;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_AF_MODE;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_IMPEDANCE_SIGNAL_SOURCE;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_SOURCE_FREQUENCY_LEFT;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_SOURCE_FREQUENCY_RIGHT;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_SOURCE_LEVEL_LEFT;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_SOURCE_LEVEL_RIGHT;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_SOURCE_INPUT_LEVEL_RIGHT;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_SOURCE_INPUT_LEVEL_LEFT;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_RDS_GROUP_SEQUENCE;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_RDS_PI;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_RDS_PS;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_RDS_TP;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_RDS_TA;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_RDS_PTY;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_RDS_PTYN;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_RDS_RT;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_RDS_RT_READY;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_RDS_MS;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_RDS_DI_DYNAMIC_PTY;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_RDS_DI_COMPRESSED;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_RDS_DI_ART_HEAD;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_RDS_DI_STEREO;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_RDS_DI_CT;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_RDS_DI_CT_OFFSET;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_RDS_DI_AF_METHOD;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_AF_A_NUMBER_OF_FREQ;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_AF_A_FREQUENCY;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_AF_B_NUMBER_OF_LISTS;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_AF_B_NUMBER_OF_FREQ;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_AF_B_TUNING_FREQ;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_AF_B_AF_FREQUENCY;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_AF_B_AF_ORDER;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_EON_PI;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_EON_PS;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_EON_TP;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_EON_TA;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_EON_LA;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_EON_EG;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_EON_ILS;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_EON_LSN;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_EON_PTY;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_EON_PIN;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_EON_AF_METHOD;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_EON_AF_A_NUMBER_OF_FREQ;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_EON_AF_A_FREQUENCY;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_EON_AF_MAPPED_FREQ_NUMBER_OF_FREQ;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_EON_AF_MAPPED_FREQ_TUNING_FREQ;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_EON_AF_MAPPED_FREQ_AF_FREQUENCY;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_TMC_TMC;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_TMC_GROUP_3A_VAR_00;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_TMC_GROUP_3A_VAR_01;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_TMC_NUMBER_OF_8A_GROUPS;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_TMC_8A_BLOCK;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_TMC_APPLY;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_OPEN_FORMAT;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_OPEN_FORMAT_APPLY;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_OPEN_FORMAT_GROUP_A;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_OPEN_FORMAT_GROUP_B;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_OPEN_FORMAT_GROUP_A_READY;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_OPEN_FORMAT_GROUP_B_READY;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_MODULATION_MODE;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_MODULATION_PREEMPHASIS;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_MODULATION_RDS;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_MODULATION_NOM_FREQ_DEV_AUDIO;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_MODULATION_FREQ_DEV_AUDIO;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_MODULATION_FREQ_DEV_RDS;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_MODULATION_FREQ_DEV_PILOT_19KHZ;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_MODULATION_NOM_FREQ_DEV_MPX;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_MODULATION_FREQ_DEV_MPX;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_FM_SPECIAL_SETTINGS;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_SPECIAL_PILOT;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_SPECIAL_PHASE_OFFSET_PILOT_19KHZ;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_SPECIAL_PHASE_OFFSET_RDS;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_AM_SOURCE;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_AM_SOURCE_BTC;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_AM_INTERNAL_FREQUENCY;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_AM_INTERNAL_LEVEL;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_AM_IMPEDNACE_SIGNAL_SOURCE;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_AM_INPUT_LEVEL;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_AM_NOM_MOD_DEPTH;
extern RsAttrProperties g_RSSFU_ATTR_AUDIO_BC_AM_MOD_DEPTH;
extern RsAttrProperties g_RSSFU_ATTR_NOISE_STORE;
extern RsAttrProperties g_RSSFU_ATTR_NOISE_SELECT;
extern RsAttrProperties g_RSSFU_ATTR_NOISE;
extern RsAttrProperties g_RSSFU_ATTR_AWGN;
extern RsAttrProperties g_RSSFU_ATTR_PHASE_NOISE;
extern RsAttrProperties g_RSSFU_ATTR_NOISE_CN;
extern RsAttrProperties g_RSSFU_ATTR_NOISE_EB_N0_RATIO;
extern RsAttrProperties g_RSSFU_ATTR_NOISE_IMPULSIVE;
extern RsAttrProperties g_RSSFU_ATTR_NOISE_CI;
extern RsAttrProperties g_RSSFU_ATTR_NOISE_FRAME_DURATION;
extern RsAttrProperties g_RSSFU_ATTR_NOISE_FRAME_DURATION_BTC;
extern RsAttrProperties g_RSSFU_ATTR_NOISE_PULSES_PER_BURST;
extern RsAttrProperties g_RSSFU_ATTR_NOISE_PULSE_SPACING_MIN;
extern RsAttrProperties g_RSSFU_ATTR_NOISE_PULSE_SPACING_MAX;
extern RsAttrProperties g_RSSFU_ATTR_NOISE_SSB_SHAPE_PROFILE;
extern RsAttrProperties g_RSSFU_ATTR_PHASE_NOISE_LEVEL;
extern RsAttrProperties g_RSSFU_ATTR_NOISE_BANDWIDTH_COUPLING;
extern RsAttrProperties g_RSSFU_ATTR_NOISE_RECEIVER_BANDWIDTH;
extern RsAttrProperties g_RSSFU_ATTR_GEN_NOISE_BANDWIDTH;
extern RsAttrProperties g_RSSFU_ATTR_FADING_SPEED_COUPLED;
extern RsAttrProperties g_RSSFU_ATTR_FADING_DOPPLER_SHIFT_COUPLED;
extern RsAttrProperties g_RSSFU_ATTR_FADING_DELETE_FILE;
extern RsAttrProperties g_RSSFU_ATTR_FADING_STORE_FILE;
extern RsAttrProperties g_RSSFU_ATTR_FADING_LOAD_FILE;
extern RsAttrProperties g_RSSFU_ATTR_FADING_SOURCE;
extern RsAttrProperties g_RSSFU_ATTR_FADING_STANDARD_DEVIATION_COUPLED;
extern RsAttrProperties g_RSSFU_ATTR_FADING_SPEED_UNIT;
extern RsAttrProperties g_RSSFU_ATTR_FADING_COMMON_SPEED_ALL_PATH;
extern RsAttrProperties g_RSSFU_ATTR_FADING_LOCAL_CONSTANT_COUPLED;
extern RsAttrProperties g_RSSFU_ATTR_FADING_IGNORE_RF_CHANGES;
extern RsAttrProperties g_RSSFU_ATTR_FADING_DEFAULT;
extern RsAttrProperties g_RSSFU_ATTR_FADING_SIGNAL_DEDICATED_TO;
extern RsAttrProperties g_RSSFU_ATTR_FADING_VIRTUAL_RF;
extern RsAttrProperties g_RSSFU_ATTR_FADING_INSERT_LOSS_MODE;
extern RsAttrProperties g_RSSFU_ATTR_FADING_INSERT_LOSS;
extern RsAttrProperties g_RSSFU_ATTR_FADING_CLIPPED_SAMPLE;
extern RsAttrProperties g_RSSFU_ATTR_FADING_RESTART_MODE;
extern RsAttrProperties g_RSSFU_ATTR_FADING_REFERENCE;
extern RsAttrProperties g_RSSFU_ATTR_FADING_REFERENCE_BTC;
extern RsAttrProperties g_RSSFU_ATTR_FADING_COMMON_DOPPLER_SHIFT_ALL_PATH;
extern RsAttrProperties g_RSSFU_ATTR_FADING_MAX_PATHS;
extern RsAttrProperties g_RSSFU_ATTR_FADING_SIGNAL_DELAY_SHIFT;
extern RsAttrProperties g_RSSFU_ATTR_FADING_STATE;
extern RsAttrProperties g_RSSFU_ATTR_FADING_RESTART;
extern RsAttrProperties g_RSSFU_ATTR_FADING_PARAMETER_SET;
extern RsAttrProperties g_RSSFU_ATTR_FADING_PAR_DEL_STATE;
extern RsAttrProperties g_RSSFU_ATTR_FADING_PAR_DEL_PROFILE;
extern RsAttrProperties g_RSSFU_ATTR_FADING_PAR_DEL_PATH_LOSS;
extern RsAttrProperties g_RSSFU_ATTR_FADING_PAR_DEL_BASIC_DELAY;
extern RsAttrProperties g_RSSFU_ATTR_FADING_PAR_DEL_ADDITIONAL_DELAY;
extern RsAttrProperties g_RSSFU_ATTR_FADING_PAR_DEL_RESULTING_DELAY;
extern RsAttrProperties g_RSSFU_ATTR_FADING_PAR_DEL_POWER_RATIO;
extern RsAttrProperties g_RSSFU_ATTR_FADING_PAR_DEL_CONST_PHASE;
extern RsAttrProperties g_RSSFU_ATTR_FADING_PAR_DEL_SPEED;
extern RsAttrProperties g_RSSFU_ATTR_FADING_PAR_DEL_FREQ_RATIO;
extern RsAttrProperties g_RSSFU_ATTR_FADING_PAR_DEL_RESULT_DOPPLER_SHIFT;
extern RsAttrProperties g_RSSFU_ATTR_FADING_PAR_DEL_CORRELATION_PATH;
extern RsAttrProperties g_RSSFU_ATTR_FADING_PAR_DEL_COEFFICIENT;
extern RsAttrProperties g_RSSFU_ATTR_FADING_PAR_DEL_PHASE;
extern RsAttrProperties g_RSSFU_ATTR_FADING_PAR_DEL_LOGNORMAL_STATE;
extern RsAttrProperties g_RSSFU_ATTR_FADING_PAR_DEL_LOCAL_CONSTANT;
extern RsAttrProperties g_RSSFU_ATTR_FADING_PAR_DEL_STANDARD_DEVIATION;
extern RsAttrProperties g_RSSFU_ATTR_FADING_PAR_DEL_STATE_MODE;
extern RsAttrProperties g_RSSFU_ATTR_FADING_PAR_DEL30_STATE;
extern RsAttrProperties g_RSSFU_ATTR_FADING_PAR_DEL30_PROFILE;
extern RsAttrProperties g_RSSFU_ATTR_FADING_PAR_DEL30_PATH_LOSS;
extern RsAttrProperties g_RSSFU_ATTR_FADING_PAR_DEL30_BASIC_DELAY;
extern RsAttrProperties g_RSSFU_ATTR_FADING_PAR_DEL30_ADDITIONAL_DELAY;
extern RsAttrProperties g_RSSFU_ATTR_FADING_PAR_DEL30_RESULTING_DELAY;
extern RsAttrProperties g_RSSFU_ATTR_FADING_PAR_DEL30_POWER_RATIO;
extern RsAttrProperties g_RSSFU_ATTR_FADING_PAR_DEL30_CONST_PHASE;
extern RsAttrProperties g_RSSFU_ATTR_FADING_PAR_DEL30_SPEED;
extern RsAttrProperties g_RSSFU_ATTR_FADING_PAR_DEL30_FREQ_RATIO;
extern RsAttrProperties g_RSSFU_ATTR_FADING_PAR_DEL30_RESULT_DOPPLER_SHIFT;
extern RsAttrProperties g_RSSFU_ATTR_FADING_PAR_DEL30_CORRELATION_PATH;
extern RsAttrProperties g_RSSFU_ATTR_FADING_PAR_DEL30_COEFFICIENT;
extern RsAttrProperties g_RSSFU_ATTR_FADING_PAR_DEL30_PHASE;
extern RsAttrProperties g_RSSFU_ATTR_FADING_PAR_DEL30_LOGNORMAL_STATE;
extern RsAttrProperties g_RSSFU_ATTR_FADING_PAR_DEL30_LOCAL_CONSTANT;
extern RsAttrProperties g_RSSFU_ATTR_FADING_PAR_DEL30_STANDARD_DEVIATION;
extern RsAttrProperties g_RSSFU_ATTR_FADING_PAR_DEL30_STATE_MODE;
extern RsAttrProperties g_RSSFU_ATTR_FADING_PAR_DEL50_STATE;
extern RsAttrProperties g_RSSFU_ATTR_FADING_PAR_DEL50_PROFILE;
extern RsAttrProperties g_RSSFU_ATTR_FADING_PAR_DEL50_PATH_LOSS;
extern RsAttrProperties g_RSSFU_ATTR_FADING_PAR_DEL50_BASIC_DELAY;
extern RsAttrProperties g_RSSFU_ATTR_FADING_PAR_DEL50_ADDITIONAL_DELAY;
extern RsAttrProperties g_RSSFU_ATTR_FADING_PAR_DEL50_RESULTING_DELAY;
extern RsAttrProperties g_RSSFU_ATTR_FADING_PAR_DEL50_POWER_RATIO;
extern RsAttrProperties g_RSSFU_ATTR_FADING_PAR_DEL50_CONST_PHASE;
extern RsAttrProperties g_RSSFU_ATTR_FADING_PAR_DEL50_SPEED;
extern RsAttrProperties g_RSSFU_ATTR_FADING_PAR_DEL50_FREQ_RATIO;
extern RsAttrProperties g_RSSFU_ATTR_FADING_PAR_DEL50_RESULT_DOPPLER_SHIFT;
extern RsAttrProperties g_RSSFU_ATTR_FADING_PAR_DEL50_CORRELATION_PATH;
extern RsAttrProperties g_RSSFU_ATTR_FADING_PAR_DEL50_COEFFICIENT;
extern RsAttrProperties g_RSSFU_ATTR_FADING_PAR_DEL50_PHASE;
extern RsAttrProperties g_RSSFU_ATTR_FADING_PAR_DEL50_LOGNORMAL_STATE;
extern RsAttrProperties g_RSSFU_ATTR_FADING_PAR_DEL50_LOCAL_CONSTANT;
extern RsAttrProperties g_RSSFU_ATTR_FADING_PAR_DEL50_STANDARD_DEVIATION;
extern RsAttrProperties g_RSSFU_ATTR_FADING_PAR_DEL50_STATE_MODE;
extern RsAttrProperties g_RSSFU_ATTR_FADING_PAR_STATE_MODE_BIRTH_DEATH;
extern RsAttrProperties g_RSSFU_ATTR_FADING_PAR_PROFILE_BIRTH_DEATH;
extern RsAttrProperties g_RSSFU_ATTR_FADING_PAR_PATH_LOSS_BIRTH_DEATH;
extern RsAttrProperties g_RSSFU_ATTR_FADING_PAR_MIN_DELAY_BIRTH_DEATH;
extern RsAttrProperties g_RSSFU_ATTR_FADING_PAR_DELAY_GRID_BIRTH_DEATH;
extern RsAttrProperties g_RSSFU_ATTR_FADING_PAR_POSITIONS_BIRTH_DEATH;
extern RsAttrProperties g_RSSFU_ATTR_FADING_PAR_MAX_DELAY_BIRTH_DEATH;
extern RsAttrProperties g_RSSFU_ATTR_FADING_PAR_START_OFFSET_BIRTH_DEATH;
extern RsAttrProperties g_RSSFU_ATTR_FADING_PAR_HOPPING_DWELL_BIRTH_DEATH;
extern RsAttrProperties g_RSSFU_ATTR_FADING_PAR_SPEED_BIRTH_DEATH;
extern RsAttrProperties g_RSSFU_ATTR_FADING_PAR_FREQ_RATIO_BIRTH_DEATH;
extern RsAttrProperties g_RSSFU_ATTR_FADING_PAR_RES_DOPPLER_SHIFT_BIRTH_DEATH;
extern RsAttrProperties g_RSSFU_ATTR_FADING_PAR_REF_PATH_STATE;
extern RsAttrProperties g_RSSFU_ATTR_FADING_PAR_REF_PATH_LOSS;
extern RsAttrProperties g_RSSFU_ATTR_FADING_PAR_REF_PATH_DELAY;
extern RsAttrProperties g_RSSFU_ATTR_FADING_PAR_MOVING_PATH_STATE;
extern RsAttrProperties g_RSSFU_ATTR_FADING_PAR_MOVING_PATH_LOSS;
extern RsAttrProperties g_RSSFU_ATTR_FADING_PAR_MOVING_PATH_DELAY;
extern RsAttrProperties g_RSSFU_ATTR_FADING_PAR_MOVING_PATH_VARIATION_PK;
extern RsAttrProperties g_RSSFU_ATTR_FADING_PAR_MOVING_PATH_VARIATION_PERIOD;
extern RsAttrProperties g_RSSFU_ATTR_FADING_PAR_MOVING_PATH_STATE_MODE;
extern RsAttrProperties g_RSSFU_ATTR_FADING_2PATH_DYNAMIC_DELAY_STATE;
extern RsAttrProperties g_RSSFU_ATTR_FADING_2PATH_DYN_DEL_REF_PATH_STATE;
extern RsAttrProperties g_RSSFU_ATTR_FADING_2PATH_DYN_DEL_REF_PATH_PROFILE;
extern RsAttrProperties g_RSSFU_ATTR_FADING_2PATH_DYN_DEL_REF_PATH_LOSS;
extern RsAttrProperties g_RSSFU_ATTR_FADING_2PATH_DYN_DEL_SPEED;
extern RsAttrProperties g_RSSFU_ATTR_FADING_2PATH_DYN_DEL_REF_PATH_FREQ_RATIO;
extern RsAttrProperties g_RSSFU_ATTR_FADING_2PATH_DYN_DEL_REF_PATH_DOPLER_SHIFT;
extern RsAttrProperties g_RSSFU_ATTR_FADING_2PATH_DYN_DEL_REF_PATH_MIN_DELAY;
extern RsAttrProperties g_RSSFU_ATTR_FADING_2PATH_DYN_DEL_MOVING_PATH_STATE;
extern RsAttrProperties g_RSSFU_ATTR_FADING_2PATH_DYN_DEL_MOVING_PATH_PROFILE;
extern RsAttrProperties g_RSSFU_ATTR_FADING_2PATH_DYN_DEL_MOVING_PATH_LOSS;
extern RsAttrProperties g_RSSFU_ATTR_FADING_2PATH_DYN_DEL_MOVING_PATH_FREQ_RATIO;
extern RsAttrProperties g_RSSFU_ATTR_FADING_2PATH_DYN_DEL_MOVING_PATH_DOPLER_SHIFT;
extern RsAttrProperties g_RSSFU_ATTR_FADING_2PATH_DYN_DEL_MOVING_PATH_MIN_DELAY;
extern RsAttrProperties g_RSSFU_ATTR_FADING_2PATH_DYN_DEL_MOVING_PATH_MAX_DELAY;
extern RsAttrProperties g_RSSFU_ATTR_FADING_2PATH_DYN_DEL_MOVING_MODE;
extern RsAttrProperties g_RSSFU_ATTR_FADING_2PATH_DYN_DEL_MOVING_PERIOD;
extern RsAttrProperties g_RSSFU_ATTR_FADING_2PATH_DYN_DEL_MOVING_DWELL;
extern RsAttrProperties g_RSSFU_ATTR_FADING_CONFIGURATION;
extern RsAttrProperties g_RSSFU_ATTR_BER_MEAS_STAT;
extern RsAttrProperties g_RSSFU_ATTR_BER_RESTART;
extern RsAttrProperties g_RSSFU_ATTR_BER_SEL_MEAS;
extern RsAttrProperties g_RSSFU_ATTR_BER_SEL_MEAS_BTC;
extern RsAttrProperties g_RSSFU_ATTR_BER_SIGNAL;
extern RsAttrProperties g_RSSFU_ATTR_BER_PARALLEL;
extern RsAttrProperties g_RSSFU_ATTR_BER_GATING_MODE;
extern RsAttrProperties g_RSSFU_ATTR_BER_INP_CLK;
extern RsAttrProperties g_RSSFU_ATTR_BER_DATA;
extern RsAttrProperties g_RSSFU_ATTR_BER_FUNC_INP;
extern RsAttrProperties g_RSSFU_ATTR_BER_USER_GATING_TIME;
extern RsAttrProperties g_RSSFU_ATTR_BER_PRBS_SEQ;
extern RsAttrProperties g_RSSFU_ATTR_BER_BIT_PATT;
extern RsAttrProperties g_RSSFU_ATTR_BER_READ_RESULT;
extern RsAttrProperties g_RSSFU_ATTR_BER_READ_EVAL;
extern RsAttrProperties g_RSSFU_ATTR_BER_STATE;
extern RsAttrProperties g_RSSFU_ATTR_BER_ERROR_COUNT;
extern RsAttrProperties g_RSSFU_ATTR_BER_GATING_TIME;
extern RsAttrProperties g_RSSFU_ATTR_BER_READ_ALL_RESULTS;
extern RsAttrProperties g_RSSFU_ATTR_BER_GATING_RATIO;
extern RsAttrProperties g_RSSFU_ATTR_ARB;
extern RsAttrProperties g_RSSFU_ATTR_ARB_LOAD_WAVEFORM;
extern RsAttrProperties g_RSSFU_ATTR_ARB_WAVEFORM_DELETE;
extern RsAttrProperties g_RSSFU_ATTR_ARB_MEMORY_SIZE;
extern RsAttrProperties g_RSSFU_ATTR_ARB_MAXIMUM_SAMPLES;
extern RsAttrProperties g_RSSFU_ATTR_ARB_CLOCK_FREQUENCY;
extern RsAttrProperties g_RSSFU_ATTR_ARB_CLOCK_SOURCE;
extern RsAttrProperties g_RSSFU_ATTR_ARB_EXT_CLOCK_MODE;
extern RsAttrProperties g_RSSFU_ATTR_ARB_EXT_SAMPLE_CLOCK_MULTIPLIER;
extern RsAttrProperties g_RSSFU_ATTR_ARB_EXT_MEASURED_EXTERNAL_CLOCK;
extern RsAttrProperties g_RSSFU_ATTR_ARB_TRIGGER_MODE;
extern RsAttrProperties g_RSSFU_ATTR_ARB_TRIGGER_STATUS;
extern RsAttrProperties g_RSSFU_ATTR_ARB_TRIGGER_ARM;
extern RsAttrProperties g_RSSFU_ATTR_ARB_TRIGGER_EXECUTE;
extern RsAttrProperties g_RSSFU_ATTR_ARB_TRIGGER_SOURCE;
extern RsAttrProperties g_RSSFU_ATTR_ARB_TRIGGER_DELAY;
extern RsAttrProperties g_RSSFU_ATTR_ARB_TRIGGER_INHIBIT;
extern RsAttrProperties g_RSSFU_ATTR_ARB_MARKER1;
extern RsAttrProperties g_RSSFU_ATTR_ARB_MARKER_DELAY;
extern RsAttrProperties g_RSSFU_ATTR_ARB_TST_SIG_FREQUENCY;
extern RsAttrProperties g_RSSFU_ATTR_ARB_TST_SIG_SAMPLES_PER_PERIOD;
extern RsAttrProperties g_RSSFU_ATTR_ARB_TST_SIG_PHASE_OFFSET_Q;
extern RsAttrProperties g_RSSFU_ATTR_ARB_TST_SIG_GENERATE;
extern RsAttrProperties g_RSSFU_ATTR_TSGEN_PREPARE;
extern RsAttrProperties g_RSSFU_ATTR_TSGEN_COMMAND;
extern RsAttrProperties g_RSSFU_ATTR_TSGEN_COMMAND_BTC;
extern RsAttrProperties g_RSSFU_ATTR_TSGEN_COMMAND_STATE;
extern RsAttrProperties g_RSSFU_ATTR_TSGEN_SEEK_POSITION;
extern RsAttrProperties g_RSSFU_ATTR_TSGEN_PLAYER_PLAYFILE;
extern RsAttrProperties g_RSSFU_ATTR_TSGEN_FILE_DATE;
extern RsAttrProperties g_RSSFU_ATTR_TSGEN_ORIGINAL_TS_DATA_RATE;
extern RsAttrProperties g_RSSFU_ATTR_TSGEN_PLAYER_BYTERATE;
extern RsAttrProperties g_RSSFU_ATTR_TSGEN_TS_DATA_RATE;
extern RsAttrProperties g_RSSFU_ATTR_TSGEN_PLAY_WINDOW_START;
extern RsAttrProperties g_RSSFU_ATTR_TSGEN_PLAY_WINDOW_STOP;
extern RsAttrProperties g_RSSFU_ATTR_TSGEN_PCR_JITTER;
extern RsAttrProperties g_RSSFU_ATTR_TSGEN_WAVEFORM;
extern RsAttrProperties g_RSSFU_ATTR_TSGEN_AMPLITUDE;
extern RsAttrProperties g_RSSFU_ATTR_TSGEN_FREQUENCY;
extern RsAttrProperties g_RSSFU_ATTR_TSGEN_PACKET_LENGTH;
extern RsAttrProperties g_RSSFU_ATTR_TSGEN_TS_SERIAL_OUTPUT;
extern RsAttrProperties g_RSSFU_ATTR_TSGEN_ORIGINAL_LOOP_TIME;
extern RsAttrProperties g_RSSFU_ATTR_TSGEN_PLAYER_NULLPACKET_STUFFING;
extern RsAttrProperties g_RSSFU_ATTR_TSGEN_SEAMLESS_LOOP_CONT_COUNT;
extern RsAttrProperties g_RSSFU_ATTR_TSGEN_SEAMLESS_LOOP_PCR_DTS_PTS;
extern RsAttrProperties g_RSSFU_ATTR_TSGEN_SEAMLESS_LOOP_TDT_TOT;
extern RsAttrProperties g_RSSFU_ATTR_TSGEN_STOP_DATA;
extern RsAttrProperties g_RSSFU_ATTR_TSGEN_PLAYER_TEST_TS_PACKET;
extern RsAttrProperties g_RSSFU_ATTR_TSGEN_PAYLOAD_TEST_STUFF;
extern RsAttrProperties g_RSSFU_ATTR_TSGEN_PLAYER_PRBS;
extern RsAttrProperties g_RSSFU_ATTR_MM_GENERATOR_PLAYER_FILE;
extern RsAttrProperties g_RSSFU_ATTR_MM_GENERATOR_PLAYER_OUTPUT_PACKET_LENGTH;
extern RsAttrProperties g_RSSFU_ATTR_MM_GENERATOR_PLAYER_OUTPUT_MODE;
extern RsAttrProperties g_RSSFU_ATTR_MM_GENERATOR_PLAYER_TS_DATA_RATE;
extern RsAttrProperties g_RSSFU_ATTR_MM_GENERATOR_PLAY_WINDOW_START;
extern RsAttrProperties g_RSSFU_ATTR_MM_GENERATOR_PLAY_WINDOW_STOP;
extern RsAttrProperties g_RSSFU_ATTR_TSGEN_FREE_MEMORY;
extern RsAttrProperties g_RSSFU_ATTR_TSGEN_INPUT_TS_DATA_RATE;
extern RsAttrProperties g_RSSFU_ATTR_TSGEN_RECORD_LENGTH;
extern RsAttrProperties g_RSSFU_ATTR_TSGEN_INPUT;
extern RsAttrProperties g_RSSFU_ATTR_TSGEN_RECORD_SIZE;
extern RsAttrProperties g_RSSFU_ATTR_TSGEN_RECORD_MODE;
extern RsAttrProperties g_RSSFU_ATTR_TSGEN_RECORD_PROGRESS;
extern RsAttrProperties g_RSSFU_ATTR_TSGEN_RECORD_FILENAME;
extern RsAttrProperties g_RSSFU_ATTR_CAL_ALL;
extern RsAttrProperties g_RSSFU_ATTR_CAL_ALL_RESULT;
extern RsAttrProperties g_RSSFU_ATTR_CAL_FREQ;
extern RsAttrProperties g_RSSFU_ATTR_CAL_FREQ_RESULT;
extern RsAttrProperties g_RSSFU_ATTR_CAL_FREQ_DATE;
extern RsAttrProperties g_RSSFU_ATTR_CAL_LEV;
extern RsAttrProperties g_RSSFU_ATTR_CAL_LEV_RESULT;
extern RsAttrProperties g_RSSFU_ATTR_CAL_LEV_DATE;
extern RsAttrProperties g_RSSFU_ATTR_CAL_LOCAL;
extern RsAttrProperties g_RSSFU_ATTR_CAL_LOCAL_RESULT;
extern RsAttrProperties g_RSSFU_ATTR_CAL_LOCAL_DATE;
extern RsAttrProperties g_RSSFU_ATTR_CAL_IQM_FULL;
extern RsAttrProperties g_RSSFU_ATTR_CAL_IQM_FULL_RESULT;
extern RsAttrProperties g_RSSFU_ATTR_CAL_IQM_FULL_DATE;
extern RsAttrProperties g_RSSFU_ATTR_CAL_LEV_STATE;
extern RsAttrProperties g_RSSFU_ATTR_ROSC_FREQ;
extern RsAttrProperties g_RSSFU_ATTR_ROSC_ADJ_STATE;
extern RsAttrProperties g_RSSFU_ATTR_ROSC_ADJ_FREQUENCY;
extern RsAttrProperties g_RSSFU_ATTR_ROSC_SYNC_BANDWIDTH;
extern RsAttrProperties g_RSSFU_ATTR_ROSC_SOURCE_BTC;
extern RsAttrProperties g_RSSFU_ATTR_ROSC_SOURCE;
extern RsAttrProperties g_RSSFU_ATTR_TRIGGER_IO_STATE;
extern RsAttrProperties g_RSSFU_ATTR_TRIGGER_IO_SOURCE;
extern RsAttrProperties g_RSSFU_ATTR_TRIGGER_IO_DESTINATION;
extern RsAttrProperties g_RSSFU_ATTR_DM_DRATE;
extern RsAttrProperties g_RSSFU_ATTR_DM_DIGITAL_I_OUTPUT;
extern RsAttrProperties g_RSSFU_ATTR_DM_DIGITAL_Q_OUTPUT;
extern RsAttrProperties g_RSSFU_ATTR_DM_ANALOG_I_OUTPUT;
extern RsAttrProperties g_RSSFU_ATTR_DM_ANALOG_Q_OUTPUT;
extern RsAttrProperties g_RSSFU_ATTR_SYSTEM_DISPLAY_UPDATE;
extern RsAttrProperties g_RSSFU_ATTR_SYSTEM_KLOCK;
extern RsAttrProperties g_RSSFU_ATTR_ERROR_LIST;
extern RsAttrProperties g_RSSFU_ATTR_PRESET;
extern RsAttrProperties g_RSSFU_ATTR_RCL;
extern RsAttrProperties g_RSSFU_ATTR_SAV;
extern RsAttrProperties g_RSSFU_ATTR_SYSTEM_DRIVES;
extern RsAttrProperties g_RSSFU_ATTR_SYSTEM_FILE_ATTRIBUTE;
extern RsAttrProperties g_RSSFU_ATTR_POWER_METER_STATE;
extern RsAttrProperties g_RSSFU_ATTR_POWER_METER_POWER;
extern RsAttrProperties g_RSSFU_ATTR_POWER_METER_UNIT;
extern RsAttrProperties g_RSSFU_ATTR_POWER_METER_SOURCE;
extern RsAttrProperties g_RSSFU_ATTR_POWER_METER_FREQUENCY;
extern RsAttrProperties g_RSSFU_ATTR_POWER_METER_REL_POWER_STATE;
extern RsAttrProperties g_RSSFU_ATTR_POWER_METER_M2REF;
extern RsAttrProperties g_RSSFU_ATTR_POWER_METER_REF_POWER;
extern RsAttrProperties g_RSSFU_ATTR_POWER_METER_REL_POWER;
extern RsAttrProperties g_RSSFU_ATTR_POWER_METER_FILTER_TYPE;
extern RsAttrProperties g_RSSFU_ATTR_POWER_METER_FILTER_LENGTH;
extern RsAttrProperties g_RSSFU_ATTR_POWER_METER_AUTO_ONCE;
extern RsAttrProperties g_RSSFU_ATTR_POWER_METER_ZERO;
extern RsAttrProperties g_RSSFU_ATTR_POWER_METER_SENSOR_TYPE;
extern RsAttrProperties g_RSSFU_ATTR_ID_QUERY_RESPONSE;

/*****************************************************************************
 *- Repeated Capabilities Table --------------------------------------------------------------*
 *****************************************************************************/
extern RsRepCap rssfu_RsRepCapTable[];

/*****************************************************************************
 *- Attributes List ---------------------------------------------------------*
 *****************************************************************************/
extern RsAttrPropertiesPtr rssfu_RsAttrPropertiesList[];

/****************************************************************************
 *---------------------------- End Include File ----------------------------*
 ****************************************************************************/
#if defined(__cplusplus) || defined(__cplusplus__)
}
#endif
#endif /* __RSSFU_ATTRIBUTES_HEADER */
